Build #507 for commit 641fc3cd from 1.5.14
 failed 63 minutes 31 seconds
gitlab-ci-multi-runner 1.0.4 (014aa8c)
Using Shell executor...
Running on ceph-workbench.dachary.org...
Fetching changes...
Removing .cache/
Removing .coverage
Removing .tox/
Removing ceph_workbench.egg-info/
Removing ceph_workbench/__init__.pyc
Removing ceph_workbench/ceph_qa_suite.pyc
Removing ceph_workbench/delegate.pyc
Removing ceph_workbench/main.pyc
Removing ceph_workbench/release.pyc
Removing ceph_workbench/util.pyc
Removing ceph_workbench/wbbackport.pyc
Removing ceph_workbench/wbbackportcreateissue.pyc
Removing ceph_workbench/wbbackportsetrelease.pyc
Removing ceph_workbench/wbgit.pyc
Removing ceph_workbench/wbgithub.pyc
Removing ceph_workbench/wbgitlab.pyc
Removing ceph_workbench/wbredmine.pyc
Removing ceph_workbench/wbxref.pyc
Removing tests/__pycache__/
Removing tests/fixture_git.pyc
Removing tests/fixture_github.pyc
Removing tests/fixture_gitlab.pyc
Removing tests/fixture_redmine.pyc
Removing tests/fixture_xref.pyc
Removing virtualenv/
HEAD is now at 641fc3c version 1.5.14
From http://ceph-workbench.dachary.org/root/ceph-workbench
   641fc3c..9f6e2b2  master     -> origin/master
 * [new tag]         1.5.14     -> 1.5.14
Checking out 641fc3cd as 1.5.14...
HEAD is now at 641fc3c... version 1.5.14
$ bash -x run-tests.sh
+ set -ex
+ trap 'bash tests/teardown.sh' EXIT
+ source bootstrap
++ sudo apt-get install -y software-properties-common
Reading package lists...
Building dependency tree...
Reading state information...
software-properties-common is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 181 not upgraded.
++ sudo add-apt-repository --yes ppa:git-core/ppa
gpg: keyring `/tmp/tmpk7t__ze_/secring.gpg' created
gpg: keyring `/tmp/tmpk7t__ze_/pubring.gpg' created
gpg: requesting key E1DF1F24 from hkp server keyserver.ubuntu.com
gpg: /tmp/tmpk7t__ze_/trustdb.gpg: trustdb created
gpg: key E1DF1F24: public key "Launchpad PPA for Ubuntu Git Maintainers" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK
++ sudo apt-get update
Hit http://security.ubuntu.com trusty-security InRelease
Hit http://security.ubuntu.com trusty-security/main Sources
Hit http://ppa.launchpad.net trusty InRelease
Hit http://security.ubuntu.com trusty-security/universe Sources
Ign http://nova.clouds.archive.ubuntu.com trusty InRelease
Hit http://security.ubuntu.com trusty-security/main amd64 Packages
Get:1 http://nova.clouds.archive.ubuntu.com trusty-updates InRelease [65.9 kB]
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
Hit http://security.ubuntu.com trusty-security/main Translation-en
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://security.ubuntu.com trusty-security/universe Translation-en
Hit http://nova.clouds.archive.ubuntu.com trusty Release.gpg
Get:2 http://nova.clouds.archive.ubuntu.com trusty-updates/main Sources [390 kB]
Get:3 http://nova.clouds.archive.ubuntu.com trusty-updates/universe Sources [173 kB]
Get:4 http://nova.clouds.archive.ubuntu.com trusty-updates/main amd64 Packages [943 kB]
Hit https://apt.dockerproject.org ubuntu-trusty InRelease
Hit https://apt.dockerproject.org ubuntu-trusty/main amd64 Packages
Get:5 http://nova.clouds.archive.ubuntu.com trusty-updates/universe amd64 Packages [397 kB]
Get:6 https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
Hit http://nova.clouds.archive.ubuntu.com trusty-updates/main Translation-en
Hit http://nova.clouds.archive.ubuntu.com trusty-updates/universe Translation-en
Hit http://nova.clouds.archive.ubuntu.com trusty Release
Hit http://nova.clouds.archive.ubuntu.com trusty/main Sources
Hit http://nova.clouds.archive.ubuntu.com trusty/universe Sources
Hit https://packages.gitlab.com trusty InRelease
Hit http://nova.clouds.archive.ubuntu.com trusty/main amd64 Packages
Hit http://nova.clouds.archive.ubuntu.com trusty/universe amd64 Packages
Hit https://packages.gitlab.com trusty/main Sources
Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
Hit http://nova.clouds.archive.ubuntu.com trusty/main Translation-en
Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en
Hit http://nova.clouds.archive.ubuntu.com trusty/universe Translation-en
Hit https://packages.gitlab.com trusty/main amd64 Packages
Get:7 https://packages.gitlab.com trusty/main Translation-en_US
Ign https://packages.gitlab.com trusty/main Translation-en_US
Ign https://packages.gitlab.com trusty/main Translation-en
Ign http://nova.clouds.archive.ubuntu.com trusty/main Translation-en_US
Ign http://nova.clouds.archive.ubuntu.com trusty/universe Translation-en_US
Fetched 1,969 kB in 4s (408 kB/s)
Reading package lists...
++ sudo apt-get install -y git
Reading package lists...
Building dependency tree...
Reading state information...
git is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 181 not upgraded.
++ git submodule sync
Synchronizing submodule url for 'teuthology'
++ git submodule update --force --init --recursive
Submodule path 'teuthology': checked out 'd18aef5d1fe1382894224f4a12a20f666acd4321'
++ cd teuthology
++ git clean -ffqdx
++ ./bootstrap install
New python executable in virtualenv/bin/python
Installing setuptools, pip...done.
Downloading/unpacking pip from https://pypi.python.org/packages/b6/ac/7015eb97dc749283ffdec1c3a88ddb8ae03b8fad0f0e611408f196358da3/pip-9.0.1-py2.py3-none-any.whl#md5=297dbd16ef53bcef0447d245815f5144
Installing collected packages: pip
  Found existing installation: pip 1.5.4
    Uninstalling pip:
      Successfully uninstalled pip
Successfully installed pip
Cleaning up...
/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
Collecting setuptools
  Using cached setuptools-34.1.1-py2.py3-none-any.whl
Collecting packaging>=16.8 (from setuptools)
  Using cached packaging-16.8-py2.py3-none-any.whl
Collecting appdirs>=1.4.0 (from setuptools)
  Using cached appdirs-1.4.0-py2.py3-none-any.whl
Collecting six>=1.6.0 (from setuptools)
  Using cached six-1.10.0-py2.py3-none-any.whl
Collecting pyparsing (from packaging>=16.8->setuptools)
  Using cached pyparsing-2.1.10-py2.py3-none-any.whl
Installing collected packages: six, pyparsing, packaging, appdirs, setuptools
  Found existing installation: setuptools 2.2
    Uninstalling setuptools-2.2:
      Successfully uninstalled setuptools-2.2
Successfully installed appdirs-1.4.0 packaging-16.8 pyparsing-2.1.10 setuptools-34.1.1 six-1.10.0
/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
Obtaining file:///home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology (from -r requirements.txt (line 3))
Requirement already up-to-date: setuptools in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0->-r requirements.txt (line 3))
Collecting gevent (from teuthology==0.1.0->-r requirements.txt (line 3))
/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
  Using cached gevent-1.2.1-cp27-cp27mu-manylinux1_x86_64.whl
Collecting MySQL-python==1.2.3 (from teuthology==0.1.0->-r requirements.txt (line 3))
Collecting PyYAML (from teuthology==0.1.0->-r requirements.txt (line 3))
Collecting argparse>=1.2.1 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached argparse-1.4.0-py2.py3-none-any.whl
Collecting beanstalkc>=0.2.0 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached beanstalkc-0.4.0-py27-none-any.whl
Collecting boto>=2.0b4 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached boto-2.45.0-py2.py3-none-any.whl
Collecting bunch>=1.0.0 (from teuthology==0.1.0->-r requirements.txt (line 3))
Collecting configobj (from teuthology==0.1.0->-r requirements.txt (line 3))
Requirement already up-to-date: six>=1.9 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0->-r requirements.txt (line 3))
Collecting httplib2 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached httplib2-0.10.2.tar.gz
Collecting paramiko>=1.15.1 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached paramiko-2.1.1-py2.py3-none-any.whl
Collecting pexpect (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached pexpect-4.2.1-py2.py3-none-any.whl
Collecting requests (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached requests-2.13.0-py2.py3-none-any.whl
Collecting raven (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached raven-5.32.0-py2.py3-none-any.whl
Collecting web.py (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached web.py-0.38.tar.gz
Collecting docopt (from teuthology==0.1.0->-r requirements.txt (line 3))
Collecting psutil>=2.1.0 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached psutil-5.1.2.tar.gz
Collecting configparser (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached configparser-3.5.0.tar.gz
Collecting pytest (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached pytest-3.0.6-py2.py3-none-any.whl
Collecting ansible>=2.0 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached ansible-2.2.1.0.tar.gz
Collecting pyopenssl>=0.13 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached pyOpenSSL-16.2.0-py2.py3-none-any.whl
Collecting ndg-httpsclient (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached ndg_httpsclient-0.4.2.tar.gz
Collecting pyasn1 (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached pyasn1-0.2.1-py2.py3-none-any.whl
Collecting python-novaclient (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached python_novaclient-7.1.0-py2.py3-none-any.whl
Collecting python-openstackclient (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached python_openstackclient-3.8.1-py2.py3-none-any.whl
Collecting python-neutronclient (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached python_neutronclient-6.1.0-py2.py3-none-any.whl
Collecting prettytable (from teuthology==0.1.0->-r requirements.txt (line 3))
Collecting libvirt-python (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached libvirt-python-2.5.0.tar.gz
Collecting python-dateutil (from teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached python_dateutil-2.6.0-py2.py3-none-any.whl
Requirement already up-to-date: packaging>=16.8 in ./virtualenv/lib/python2.7/site-packages (from setuptools->teuthology==0.1.0->-r requirements.txt (line 3))
Requirement already up-to-date: appdirs>=1.4.0 in ./virtualenv/lib/python2.7/site-packages (from setuptools->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting greenlet>=0.4.10 (from gevent->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached greenlet-0.4.12-cp27-cp27mu-manylinux1_x86_64.whl
Collecting cryptography>=1.1 (from paramiko>=1.15.1->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached cryptography-1.7.2.tar.gz
Collecting ptyprocess>=0.5 (from pexpect->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached ptyprocess-0.5.1-py2.py3-none-any.whl
Collecting contextlib2 (from raven->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached contextlib2-0.5.4-py2.py3-none-any.whl
Collecting py>=1.4.29 (from pytest->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached py-1.4.32-py2.py3-none-any.whl
Collecting jinja2<2.9 (from ansible>=2.0->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached Jinja2-2.8.1-py2.py3-none-any.whl
Collecting pycrypto>=2.6 (from ansible>=2.0->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting pbr>=1.8 (from python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached pbr-1.10.0-py2.py3-none-any.whl
Collecting oslo.i18n>=2.1.0 (from python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached oslo.i18n-3.12.0-py2.py3-none-any.whl
Collecting iso8601>=0.1.11 (from python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached iso8601-0.1.11-py2.py3-none-any.whl
Collecting oslo.utils>=3.18.0 (from python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached oslo.utils-3.22.0-py2.py3-none-any.whl
Collecting Babel>=2.3.4 (from python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached Babel-2.3.4-py2.py3-none-any.whl
Collecting simplejson>=2.2.0 (from python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached simplejson-3.10.0.tar.gz
Collecting oslo.serialization>=1.10.0 (from python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached oslo.serialization-2.16.0-py2.py3-none-any.whl
Collecting keystoneauth1>=2.18.0 (from python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached keystoneauth1-2.18.0-py2.py3-none-any.whl
Collecting openstacksdk>=0.9.13 (from python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached openstacksdk-0.9.13-py2.py3-none-any.whl
Collecting osc-lib>=1.2.0 (from python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached osc_lib-1.3.0-py2-none-any.whl
Collecting python-glanceclient>=2.5.0 (from python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached python_glanceclient-2.6.0-py2.py3-none-any.whl
Collecting python-keystoneclient>=3.8.0 (from python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached python_keystoneclient-3.10.0-py2.py3-none-any.whl
Collecting cliff>=2.3.0 (from python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached cliff-2.4.0-py2-none-any.whl
Collecting python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 (from python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached python_cinderclient-1.11.0-py2.py3-none-any.whl
Collecting os-client-config>=1.22.0 (from python-neutronclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached os_client_config-1.26.0-py2.py3-none-any.whl
Collecting netaddr!=0.7.16,>=0.7.13 (from python-neutronclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached netaddr-0.7.19-py2.py3-none-any.whl
Collecting debtcollector>=1.2.0 (from python-neutronclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached debtcollector-1.11.0-py2.py3-none-any.whl
Requirement already up-to-date: pyparsing in ./virtualenv/lib/python2.7/site-packages (from packaging>=16.8->setuptools->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting idna>=2.0 (from cryptography>=1.1->paramiko>=1.15.1->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached idna-2.2-py2.py3-none-any.whl
Collecting enum34 (from cryptography>=1.1->paramiko>=1.15.1->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached enum34-1.1.6-py2-none-any.whl
Collecting ipaddress (from cryptography>=1.1->paramiko>=1.15.1->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached ipaddress-1.0.18-py2-none-any.whl
Collecting cffi>=1.4.1 (from cryptography>=1.1->paramiko>=1.15.1->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached cffi-1.9.1-cp27-cp27mu-manylinux1_x86_64.whl
Collecting MarkupSafe (from jinja2<2.9->ansible>=2.0->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting funcsigs>=0.4; python_version == "2.7" or python_version == "2.6" (from oslo.utils>=3.18.0->python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached funcsigs-1.0.2-py2.py3-none-any.whl
Collecting monotonic>=0.6 (from oslo.utils>=3.18.0->python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached monotonic-1.2-py2.py3-none-any.whl
Collecting netifaces>=0.10.4 (from oslo.utils>=3.18.0->python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting pytz>=2013.6 (from oslo.utils>=3.18.0->python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached pytz-2016.10-py2.py3-none-any.whl
Collecting msgpack-python>=0.4.0 (from oslo.serialization>=1.10.0->python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting positional>=1.1.1 (from keystoneauth1>=2.18.0->python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting stevedore>=1.17.1 (from keystoneauth1>=2.18.0->python-novaclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached stevedore-1.20.0-py2.py3-none-any.whl
Collecting wrapt>=1.7.0 (from python-glanceclient>=2.5.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting warlock!=1.3.0,<2,>=1.0.1 (from python-glanceclient>=2.5.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting oslo.config!=3.18.0,>=3.14.0 (from python-keystoneclient>=3.8.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached oslo.config-3.22.0-py2.py3-none-any.whl
Collecting unicodecsv>=0.8.0; python_version < "3.0" (from cliff>=2.3.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting cmd2>=0.6.7 (from cliff>=2.3.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached cmd2-0.6.9.tar.gz
Collecting requestsexceptions>=1.1.1 (from os-client-config>=1.22.0->python-neutronclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached requestsexceptions-1.1.3-py2.py3-none-any.whl
Collecting pycparser (from cffi>=1.4.1->cryptography>=1.1->paramiko>=1.15.1->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached pycparser-2.17.tar.gz
Collecting jsonschema<3,>=0.7 (from warlock!=1.3.0,<2,>=1.0.1->python-glanceclient>=2.5.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached jsonschema-2.6.0-py2.py3-none-any.whl
Collecting jsonpatch<2,>=0.10 (from warlock!=1.3.0,<2,>=1.0.1->python-glanceclient>=2.5.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached jsonpatch-1.15-py2.py3-none-any.whl
Collecting rfc3986>=0.3.1 (from oslo.config!=3.18.0,>=3.14.0->python-keystoneclient>=3.8.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached rfc3986-0.4.1-py2.py3-none-any.whl
Collecting functools32; python_version == "2.7" (from jsonschema<3,>=0.7->warlock!=1.3.0,<2,>=1.0.1->python-glanceclient>=2.5.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
Collecting jsonpointer>=1.9 (from jsonpatch<2,>=0.10->warlock!=1.3.0,<2,>=1.0.1->python-glanceclient>=2.5.0->python-openstackclient->teuthology==0.1.0->-r requirements.txt (line 3))
  Using cached jsonpointer-1.10-py2-none-any.whl
Installing collected packages: greenlet, gevent, MySQL-python, PyYAML, argparse, beanstalkc, boto, bunch, configobj, httplib2, idna, pyasn1, enum34, ipaddress, pycparser, cffi, cryptography, paramiko, ptyprocess, pexpect, requests, contextlib2, raven, web.py, docopt, psutil, configparser, py, pytest, MarkupSafe, jinja2, pycrypto, ansible, pyopenssl, ndg-httpsclient, pbr, prettytable, pytz, Babel, oslo.i18n, iso8601, funcsigs, monotonic, wrapt, debtcollector, netifaces, netaddr, oslo.utils, simplejson, msgpack-python, oslo.serialization, positional, stevedore, keystoneauth1, python-novaclient, requestsexceptions, os-client-config, openstacksdk, unicodecsv, cmd2, cliff, osc-lib, functools32, jsonschema, jsonpointer, jsonpatch, warlock, python-glanceclient, rfc3986, oslo.config, python-keystoneclient, python-cinderclient, python-openstackclient, python-neutronclient, libvirt-python, python-dateutil, teuthology
  Found existing installation: argparse 1.2.1
    Not uninstalling argparse at /usr/lib/python2.7, outside environment /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv
  Running setup.py install for httplib2: started
    Running setup.py install for httplib2: finished with status 'done'
  Running setup.py install for pycparser: started
    Running setup.py install for pycparser: finished with status 'done'
  Running setup.py install for cryptography: started
    Running setup.py install for cryptography: finished with status 'done'
  Running setup.py install for web.py: started
    Running setup.py install for web.py: finished with status 'done'
  Running setup.py install for psutil: started
    Running setup.py install for psutil: finished with status 'done'
  Running setup.py install for configparser: started
    Running setup.py install for configparser: finished with status 'done'
  Running setup.py install for ansible: started
    Running setup.py install for ansible: finished with status 'done'
  Running setup.py install for ndg-httpsclient: started
    Running setup.py install for ndg-httpsclient: finished with status 'done'
  Running setup.py install for simplejson: started
    Running setup.py install for simplejson: finished with status 'done'
  Running setup.py install for cmd2: started
    Running setup.py install for cmd2: finished with status 'done'
  Running setup.py install for libvirt-python: started
    Running setup.py install for libvirt-python: finished with status 'done'
  Running setup.py develop for teuthology
Successfully installed Babel-2.3.4 MarkupSafe-0.23 MySQL-python-1.2.3 PyYAML-3.12 ansible-2.2.1.0 argparse-1.4.0 beanstalkc-0.4.0 boto-2.45.0 bunch-1.0.1 cffi-1.9.1 cliff-2.4.0 cmd2-0.6.9 configobj-5.0.6 configparser-3.5.0 contextlib2-0.5.4 cryptography-1.7.2 debtcollector-1.11.0 docopt-0.6.2 enum34-1.1.6 funcsigs-1.0.2 functools32-3.2.3.post2 gevent-1.2.1 greenlet-0.4.12 httplib2-0.10.2 idna-2.2 ipaddress-1.0.18 iso8601-0.1.11 jinja2-2.8.1 jsonpatch-1.15 jsonpointer-1.10 jsonschema-2.6.0 keystoneauth1-2.18.0 libvirt-python-2.5.0 monotonic-1.2 msgpack-python-0.4.8 ndg-httpsclient-0.4.2 netaddr-0.7.19 netifaces-0.10.5 openstacksdk-0.9.13 os-client-config-1.26.0 osc-lib-1.3.0 oslo.config-3.22.0 oslo.i18n-3.12.0 oslo.serialization-2.16.0 oslo.utils-3.22.0 paramiko-2.1.1 pbr-1.10.0 pexpect-4.2.1 positional-1.1.1 prettytable-0.7.2 psutil-5.1.2 ptyprocess-0.5.1 py-1.4.32 pyasn1-0.2.1 pycparser-2.17 pycrypto-2.6.1 pyopenssl-16.2.0 pytest-3.0.6 python-cinderclient-1.11.0 python-dateutil-2.6.0 python-glanceclient-2.6.0 python-keystoneclient-3.10.0 python-neutronclient-6.1.0 python-novaclient-7.1.0 python-openstackclient-3.8.1 pytz-2016.10 raven-5.32.0 requests-2.13.0 requestsexceptions-1.1.3 rfc3986-0.4.1 simplejson-3.10.0 stevedore-1.20.0 teuthology unicodecsv-0.14.1 warlock-1.2.0 web.py-0.38 wrapt-1.10.8
++ rm -fr virtualenv .tox
++ virtualenv virtualenv
New python executable in virtualenv/bin/python
Installing setuptools, pip...done.
++ source virtualenv/bin/activate
+++ deactivate nondestructive
+++ unset pydoc
+++ '[' -n '' ']'
+++ '[' -n '' ']'
+++ '[' -n /bin/bash -o -n '' ']'
+++ hash -r
+++ '[' -n '' ']'
+++ unset VIRTUAL_ENV
+++ '[' '!' nondestructive = nondestructive ']'
+++ VIRTUAL_ENV=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv
+++ export VIRTUAL_ENV
+++ _OLD_VIRTUAL_PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+++ PATH=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+++ export PATH
+++ '[' -n '' ']'
+++ '[' -z '' ']'
+++ _OLD_VIRTUAL_PS1=
+++ '[' x '!=' x ']'
++++ basename /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv
+++ '[' virtualenv = __ ']'
++++ basename /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv
+++ PS1='(virtualenv)'
+++ export PS1
+++ alias 'pydoc=python -m pydoc'
+++ '[' -n /bin/bash -o -n '' ']'
+++ hash -r
++ pip install --upgrade pip
Downloading/unpacking pip from https://pypi.python.org/packages/b6/ac/7015eb97dc749283ffdec1c3a88ddb8ae03b8fad0f0e611408f196358da3/pip-9.0.1-py2.py3-none-any.whl#md5=297dbd16ef53bcef0447d245815f5144
Installing collected packages: pip
  Found existing installation: pip 1.5.4
    Uninstalling pip:
      Successfully uninstalled pip
Successfully installed pip
Cleaning up...
++ pip install --upgrade setuptools
Collecting setuptools
  Using cached setuptools-34.1.1-py2.py3-none-any.whl
Collecting packaging>=16.8 (from setuptools)
  Using cached packaging-16.8-py2.py3-none-any.whl
Collecting appdirs>=1.4.0 (from setuptools)
  Using cached appdirs-1.4.0-py2.py3-none-any.whl
Collecting six>=1.6.0 (from setuptools)
  Using cached six-1.10.0-py2.py3-none-any.whl
Collecting pyparsing (from packaging>=16.8->setuptools)
  Using cached pyparsing-2.1.10-py2.py3-none-any.whl
Installing collected packages: six, pyparsing, packaging, appdirs, setuptools
  Found existing installation: setuptools 2.2
    Uninstalling setuptools-2.2:
      Successfully uninstalled setuptools-2.2
Successfully installed appdirs-1.4.0 packaging-16.8 pyparsing-2.1.10 setuptools-34.1.1 six-1.10.0
++ pip install -r requirements.txt
Collecting alabaster==0.7.7 (from -r requirements.txt (line 1))
/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
  Using cached alabaster-0.7.7-py2.py3-none-any.whl
Collecting ansible==2.1.1.0 (from -r requirements.txt (line 2))
Requirement already satisfied: appdirs==1.4.0 in ./virtualenv/lib/python2.7/site-packages (from -r requirements.txt (line 3))
Collecting Babel==2.3.4 (from -r requirements.txt (line 4))
  Using cached Babel-2.3.4-py2.py3-none-any.whl
Collecting beanstalkc==0.4.0 (from -r requirements.txt (line 5))
  Using cached beanstalkc-0.4.0-py27-none-any.whl
Collecting boto==2.39.0 (from -r requirements.txt (line 6))
  Using cached boto-2.39.0-py2.py3-none-any.whl
Collecting bunch==1.0.1 (from -r requirements.txt (line 7))
Collecting cffi==1.5.2 (from -r requirements.txt (line 8))
Collecting cliff==2.2.0 (from -r requirements.txt (line 9))
  Using cached cliff-2.2.0-py2-none-any.whl
Collecting cmd2==0.6.8 (from -r requirements.txt (line 10))
Collecting configobj==5.0.6 (from -r requirements.txt (line 11))
Collecting configparser==3.3.0.post2 (from -r requirements.txt (line 12))
Collecting contextlib2==0.5.1 (from -r requirements.txt (line 13))
Collecting coverage==4.0.3 (from -r requirements.txt (line 14))
Collecting cryptography==1.3 (from -r requirements.txt (line 15))
Collecting d2to1==0.2.12.post1 (from -r requirements.txt (line 16))
Collecting debtcollector==1.8.0 (from -r requirements.txt (line 17))
  Using cached debtcollector-1.8.0-py2.py3-none-any.whl
Collecting discover==0.4.0 (from -r requirements.txt (line 18))
Collecting docopt==0.6.2 (from -r requirements.txt (line 19))
Collecting docutils==0.12 (from -r requirements.txt (line 20))
Collecting ecdsa==0.13 (from -r requirements.txt (line 21))
  Using cached ecdsa-0.13-py2.py3-none-any.whl
Collecting enum34==1.1.2 (from -r requirements.txt (line 22))
Collecting extras==0.0.3 (from -r requirements.txt (line 23))
Collecting fixtures==1.4.0 (from -r requirements.txt (line 24))
  Using cached fixtures-1.4.0-py2.py3-none-any.whl
Collecting flake8==2.2.4 (from -r requirements.txt (line 25))
Collecting funcsigs==1.0.2 (from -r requirements.txt (line 26))
  Using cached funcsigs-1.0.2-py2.py3-none-any.whl
Collecting functools32==3.2.3.post2 (from -r requirements.txt (line 27))
Collecting gevent==1.0.2 (from -r requirements.txt (line 28))
Collecting gitdb==0.6.4 (from -r requirements.txt (line 29))
Collecting github2gitlab==1.5.5 (from -r requirements.txt (line 30))
Collecting githubpy==1.1.0 (from -r requirements.txt (line 31))
Collecting GitPython==1.0.2 (from -r requirements.txt (line 32))
Collecting greenlet==0.4.9 (from -r requirements.txt (line 33))
Collecting hacking==0.10.2 (from -r requirements.txt (line 34))
  Using cached hacking-0.10.2-py2.py3-none-any.whl
Collecting httplib2==0.9.2 (from -r requirements.txt (line 35))
Collecting idna==2.0 (from -r requirements.txt (line 36))
  Using cached idna-2.0-py2.py3-none-any.whl
Collecting ipaddress==1.0.16 (from -r requirements.txt (line 37))
  Using cached ipaddress-1.0.16-py27-none-any.whl
Collecting iso8601==0.1.11 (from -r requirements.txt (line 38))
  Using cached iso8601-0.1.11-py2.py3-none-any.whl
Collecting Jinja2==2.8 (from -r requirements.txt (line 39))
  Using cached Jinja2-2.8-py2.py3-none-any.whl
Collecting jsonpatch==1.14 (from -r requirements.txt (line 40))
  Using cached jsonpatch-1.14-py2.py3-none-any.whl
Collecting jsonpointer==1.10 (from -r requirements.txt (line 41))
  Using cached jsonpointer-1.10-py2-none-any.whl
Collecting jsonschema==2.5.1 (from -r requirements.txt (line 42))
  Using cached jsonschema-2.5.1-py2.py3-none-any.whl
Collecting keystoneauth1==2.12.1 (from -r requirements.txt (line 43))
  Using cached keystoneauth1-2.12.1-py2.py3-none-any.whl
Collecting libvirt-python==1.3.2 (from -r requirements.txt (line 44))
Collecting linecache2==1.0.0 (from -r requirements.txt (line 45))
  Using cached linecache2-1.0.0-py2.py3-none-any.whl
Collecting MarkupSafe==0.23 (from -r requirements.txt (line 46))
Collecting mccabe==0.2.1 (from -r requirements.txt (line 47))
Collecting mock==1.3.0 (from -r requirements.txt (line 48))
  Using cached mock-1.3.0-py2.py3-none-any.whl
Collecting monotonic==1.2 (from -r requirements.txt (line 49))
  Using cached monotonic-1.2-py2.py3-none-any.whl
Collecting msgpack-python==0.4.8 (from -r requirements.txt (line 50))
Collecting MySQL-python==1.2.3 (from -r requirements.txt (line 51))
Collecting mysqlclient==1.3.7 (from -r requirements.txt (line 52))
Collecting ndg-httpsclient==0.4.0 (from -r requirements.txt (line 53))
Collecting netaddr==0.7.18 (from -r requirements.txt (line 54))
  Using cached netaddr-0.7.18-py2.py3-none-any.whl
Collecting netifaces==0.10.5 (from -r requirements.txt (line 55))
Collecting openstacksdk==0.9.5 (from -r requirements.txt (line 56))
  Using cached openstacksdk-0.9.5-py2.py3-none-any.whl
Collecting os-client-config==1.21.1 (from -r requirements.txt (line 57))
  Using cached os_client_config-1.21.1-py2.py3-none-any.whl
Collecting osc-lib==1.1.0 (from -r requirements.txt (line 58))
  Using cached osc_lib-1.1.0-py2-none-any.whl
Collecting oslo.config==3.17.0 (from -r requirements.txt (line 59))
  Using cached oslo.config-3.17.0-py2.py3-none-any.whl
Collecting oslo.i18n==3.9.0 (from -r requirements.txt (line 60))
  Using cached oslo.i18n-3.9.0-py2.py3-none-any.whl
Collecting oslo.serialization==2.13.0 (from -r requirements.txt (line 61))
  Using cached oslo.serialization-2.13.0-py2.py3-none-any.whl
Collecting oslo.utils==3.16.0 (from -r requirements.txt (line 62))
  Using cached oslo.utils-3.16.0-py2.py3-none-any.whl
Collecting paramiko==1.16.0 (from -r requirements.txt (line 63))
  Using cached paramiko-1.16.0-py2.py3-none-any.whl
Collecting pbr==1.10.0 (from -r requirements.txt (line 64))
  Using cached pbr-1.10.0-py2.py3-none-any.whl
Collecting pep8==1.5.7 (from -r requirements.txt (line 65))
  Using cached pep8-1.5.7-py2.py3-none-any.whl
Collecting pexpect==4.0.1 (from -r requirements.txt (line 66))
Collecting pip==8.1.2 (from -r requirements.txt (line 67))
  Using cached pip-8.1.2-py2.py3-none-any.whl
Collecting pluggy==0.3.1 (from -r requirements.txt (line 68))
  Using cached pluggy-0.3.1-py2.py3-none-any.whl
Collecting positional==1.1.1 (from -r requirements.txt (line 69))
Collecting prettytable==0.7.2 (from -r requirements.txt (line 70))
Collecting psutil==4.1.0 (from -r requirements.txt (line 71))
Collecting ptyprocess==0.5.1 (from -r requirements.txt (line 72))
  Using cached ptyprocess-0.5.1-py2.py3-none-any.whl
Collecting py==1.4.31 (from -r requirements.txt (line 73))
  Using cached py-1.4.31-py2.py3-none-any.whl
Collecting pyasn1==0.1.9 (from -r requirements.txt (line 74))
  Using cached pyasn1-0.1.9-py2.py3-none-any.whl
Collecting pycparser==2.14 (from -r requirements.txt (line 75))
Collecting pycrypto==2.6.1 (from -r requirements.txt (line 76))
Collecting pyflakes==0.8.1 (from -r requirements.txt (line 77))
  Using cached pyflakes-0.8.1-py2.py3-none-any.whl
Collecting Pygments==2.1.3 (from -r requirements.txt (line 78))
  Using cached Pygments-2.1.3-py2.py3-none-any.whl
Collecting pyOpenSSL==0.15.1 (from -r requirements.txt (line 79))
  Using cached pyOpenSSL-0.15.1-py2.py3-none-any.whl
Collecting pyparsing==2.1.8 (from -r requirements.txt (line 80))
  Using cached pyparsing-2.1.8-py2.py3-none-any.whl
Collecting pyrsistent==0.11.12 (from -r requirements.txt (line 81))
Collecting pytest==2.9.0 (from -r requirements.txt (line 82))
  Using cached pytest-2.9.0-py2.py3-none-any.whl
Collecting pytest-capturelog==0.7 (from -r requirements.txt (line 83))
Collecting python-cinderclient==1.9.0 (from -r requirements.txt (line 84))
  Using cached python_cinderclient-1.9.0-py2.py3-none-any.whl
Collecting python-dateutil==2.5.3 (from -r requirements.txt (line 85))
  Using cached python_dateutil-2.5.3-py2.py3-none-any.whl
Collecting python-glanceclient==2.5.0 (from -r requirements.txt (line 86))
  Using cached python_glanceclient-2.5.0-py2.py3-none-any.whl
Collecting python-keystoneclient==3.5.0 (from -r requirements.txt (line 87))
  Using cached python_keystoneclient-3.5.0-py2.py3-none-any.whl
Collecting python-mimeparse==1.5.1 (from -r requirements.txt (line 88))
Collecting python-neutronclient==4.1.1 (from -r requirements.txt (line 89))
  Using cached python_neutronclient-4.1.1-py2.py3-none-any.whl
Collecting python-novaclient==6.0.0 (from -r requirements.txt (line 90))
  Using cached python_novaclient-6.0.0-py2.py3-none-any.whl
Collecting python-openstackclient==3.2.0 (from -r requirements.txt (line 91))
  Using cached python_openstackclient-3.2.0-py2.py3-none-any.whl
Collecting python-redmine==1.5.0 (from -r requirements.txt (line 92))
  Using cached python_redmine-1.5.0-py2.py3-none-any.whl
Collecting python-subunit==1.2.0 (from -r requirements.txt (line 93))
  Using cached python_subunit-1.2.0-py2.py3-none-any.whl
Collecting pytz==2016.6.1 (from -r requirements.txt (line 94))
  Using cached pytz-2016.6.1-py2.py3-none-any.whl
Collecting PyYAML==3.12 (from -r requirements.txt (line 95))
Collecting raven==5.11.1 (from -r requirements.txt (line 96))
  Using cached raven-5.11.1-py2.py3-none-any.whl
Collecting requests==2.11.1 (from -r requirements.txt (line 97))
  Using cached requests-2.11.1-py2.py3-none-any.whl
Collecting requestsexceptions==1.1.3 (from -r requirements.txt (line 98))
  Using cached requestsexceptions-1.1.3-py2.py3-none-any.whl
Collecting setuptools==20.3.1 (from -r requirements.txt (line 99))
  Using cached setuptools-20.3.1-py2.py3-none-any.whl
Collecting simplejson==3.8.2 (from -r requirements.txt (line 100))
Requirement already satisfied: six==1.10.0 in ./virtualenv/lib/python2.7/site-packages (from -r requirements.txt (line 101))
Collecting smmap==0.9.0 (from -r requirements.txt (line 102))
Collecting snowballstemmer==1.2.1 (from -r requirements.txt (line 103))
  Using cached snowballstemmer-1.2.1-py2.py3-none-any.whl
Collecting Sphinx==1.3.6 (from -r requirements.txt (line 104))
  Using cached Sphinx-1.3.6-py2.py3-none-any.whl
Collecting sphinx-rtd-theme==0.1.9 (from -r requirements.txt (line 105))
  Using cached sphinx_rtd_theme-0.1.9-py2-none-any.whl
Collecting stevedore==1.17.1 (from -r requirements.txt (line 106))
  Using cached stevedore-1.17.1-py2.py3-none-any.whl
Collecting testrepository==0.0.20 (from -r requirements.txt (line 107))
Collecting testtools==2.0.0 (from -r requirements.txt (line 108))
  Using cached testtools-2.0.0-py2.py3-none-any.whl
Collecting tox==2.3.1 (from -r requirements.txt (line 109))
  Using cached tox-2.3.1-py2.py3-none-any.whl
Collecting traceback2==1.4.0 (from -r requirements.txt (line 110))
  Using cached traceback2-1.4.0-py2.py3-none-any.whl
Collecting unicodecsv==0.14.1 (from -r requirements.txt (line 111))
Collecting unittest2==1.1.0 (from -r requirements.txt (line 112))
  Using cached unittest2-1.1.0-py2.py3-none-any.whl
Collecting virtualenv==15.0.1 (from -r requirements.txt (line 113))
  Using cached virtualenv-15.0.1-py2.py3-none-any.whl
Collecting warlock==1.2.0 (from -r requirements.txt (line 114))
Collecting web.py==0.37 (from -r requirements.txt (line 115))
Collecting wrapt==1.10.8 (from -r requirements.txt (line 116))
Collecting rfc3986>=0.2.0 (from oslo.config==3.17.0->-r requirements.txt (line 59))
  Using cached rfc3986-0.4.1-py2.py3-none-any.whl
Requirement already satisfied: argparse in /usr/lib/python2.7 (from unittest2==1.1.0->-r requirements.txt (line 112))
Installing collected packages: alabaster, MarkupSafe, Jinja2, PyYAML, pycrypto, ecdsa, paramiko, setuptools, ansible, pytz, Babel, beanstalkc, boto, bunch, pycparser, cffi, prettytable, pbr, unicodecsv, pyparsing, cmd2, stevedore, cliff, configobj, configparser, contextlib2, coverage, idna, ipaddress, enum34, pyasn1, cryptography, d2to1, wrapt, funcsigs, debtcollector, discover, docopt, docutils, extras, linecache2, traceback2, python-mimeparse, pyrsistent, unittest2, testtools, fixtures, mccabe, pep8, pyflakes, flake8, functools32, greenlet, gevent, smmap, gitdb, requests, GitPython, github2gitlab, githubpy, hacking, httplib2, iso8601, jsonpointer, jsonpatch, jsonschema, positional, keystoneauth1, libvirt-python, mock, monotonic, msgpack-python, MySQL-python, mysqlclient, pyOpenSSL, ndg-httpsclient, netaddr, netifaces, requestsexceptions, os-client-config, openstacksdk, oslo.i18n, oslo.utils, simplejson, osc-lib, rfc3986, oslo.config, oslo.serialization, ptyprocess, pexpect, pip, pluggy, psutil, py, Pygments, pytest, pytest-capturelog, python-cinderclient, python-dateutil, python-keystoneclient, warlock, python-glanceclient, python-neutronclient, python-novaclient, python-openstackclient, python-redmine, python-subunit, raven, snowballstemmer, sphinx-rtd-theme, Sphinx, testrepository, virtualenv, tox, web.py
  Found existing installation: setuptools 34.1.1
    Uninstalling setuptools-34.1.1:
      Successfully uninstalled setuptools-34.1.1
  Found existing installation: pyparsing 2.1.10
    Uninstalling pyparsing-2.1.10:
      Successfully uninstalled pyparsing-2.1.10
  Found existing installation: pip 9.0.1
    Uninstalling pip-9.0.1:
      Successfully uninstalled pip-9.0.1
Successfully installed Babel-2.3.4 GitPython-1.0.2 Jinja2-2.8 MarkupSafe-0.23 MySQL-python-1.2.3 PyYAML-3.12 Pygments-2.1.3 Sphinx-1.3.6 alabaster-0.7.7 ansible-2.1.1.0 beanstalkc-0.4.0 boto-2.39.0 bunch-1.0.1 cffi-1.5.2 cliff-2.2.0 cmd2-0.6.8 configobj-5.0.6 configparser-3.3.0.post2 contextlib2-0.5.1 coverage-4.0.3 cryptography-1.3 d2to1-0.2.12.post1 debtcollector-1.8.0 discover-0.4.0 docopt-0.6.2 docutils-0.12 ecdsa-0.13 enum34-1.1.2 extras-0.0.3 fixtures-1.4.0 flake8-2.2.4 funcsigs-1.0.2 functools32-3.2.3.post2 gevent-1.0.2 gitdb-0.6.4 github2gitlab-1.5.5 githubpy-1.1.0 greenlet-0.4.9 hacking-0.10.2 httplib2-0.9.2 idna-2.0 ipaddress-1.0.16 iso8601-0.1.11 jsonpatch-1.14 jsonpointer-1.10 jsonschema-2.5.1 keystoneauth1-2.12.1 libvirt-python-1.3.2 linecache2-1.0.0 mccabe-0.2.1 mock-1.3.0 monotonic-1.2 msgpack-python-0.4.8 mysqlclient-1.3.7 ndg-httpsclient-0.4.0 netaddr-0.7.18 netifaces-0.10.5 openstacksdk-0.9.5 os-client-config-1.21.1 osc-lib-1.1.0 oslo.config-3.17.0 oslo.i18n-3.9.0 oslo.serialization-2.13.0 oslo.utils-3.16.0 paramiko-1.16.0 pbr-1.10.0 pep8-1.5.7 pexpect-4.0.1 pip-8.1.2 pluggy-0.3.1 positional-1.1.1 prettytable-0.7.2 psutil-4.1.0 ptyprocess-0.5.1 py-1.4.31 pyOpenSSL-0.15.1 pyasn1-0.1.9 pycparser-2.14 pycrypto-2.6.1 pyflakes-0.8.1 pyparsing-2.1.8 pyrsistent-0.11.12 pytest-2.9.0 pytest-capturelog-0.7 python-cinderclient-1.9.0 python-dateutil-2.5.3 python-glanceclient-2.5.0 python-keystoneclient-3.5.0 python-mimeparse-1.5.1 python-neutronclient-4.1.1 python-novaclient-6.0.0 python-openstackclient-3.2.0 python-redmine-1.5.0 python-subunit-1.2.0 pytz-2016.6.1 raven-5.11.1 requests-2.11.1 requestsexceptions-1.1.3 rfc3986-0.4.1 setuptools-20.3.1 simplejson-3.8.2 smmap-0.9.0 snowballstemmer-1.2.1 sphinx-rtd-theme-0.1.9 stevedore-1.17.1 testrepository-0.0.20 testtools-2.0.0 tox-2.3.1 traceback2-1.4.0 unicodecsv-0.14.1 unittest2-1.1.0 virtualenv-15.0.1 warlock-1.2.0 web.py-0.37 wrapt-1.10.8
You are using pip version 8.1.2, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
++ pip install -e teuthology
Obtaining file:///home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology
Requirement already satisfied (use --upgrade to upgrade): setuptools in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): gevent in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): MySQL-python==1.2.3 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): PyYAML in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): argparse>=1.2.1 in /usr/lib/python2.7 (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): beanstalkc>=0.2.0 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): boto>=2.0b4 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): bunch>=1.0.0 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): configobj in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): six>=1.9 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): httplib2 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): paramiko>=1.15.1 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pexpect in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): requests in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): raven in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): web.py in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): docopt in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): psutil>=2.1.0 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): configparser in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pytest in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): ansible>=2.0 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pyopenssl>=0.13 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): ndg-httpsclient in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pyasn1 in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): python-novaclient in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): python-openstackclient in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): python-neutronclient in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): prettytable in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): libvirt-python in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): python-dateutil in ./virtualenv/lib/python2.7/site-packages (from teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): greenlet>=0.4.7 in ./virtualenv/lib/python2.7/site-packages (from gevent->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pycrypto!=2.4,>=2.1 in ./virtualenv/lib/python2.7/site-packages (from paramiko>=1.15.1->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): ecdsa>=0.11 in ./virtualenv/lib/python2.7/site-packages (from paramiko>=1.15.1->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): ptyprocess>=0.5 in ./virtualenv/lib/python2.7/site-packages (from pexpect->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): contextlib2 in ./virtualenv/lib/python2.7/site-packages (from raven->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): py>=1.4.29 in ./virtualenv/lib/python2.7/site-packages (from pytest->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): jinja2 in ./virtualenv/lib/python2.7/site-packages (from ansible>=2.0->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): cryptography>=0.7 in ./virtualenv/lib/python2.7/site-packages (from pyopenssl>=0.13->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): oslo.utils>=3.16.0 in ./virtualenv/lib/python2.7/site-packages (from python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pbr>=1.6 in ./virtualenv/lib/python2.7/site-packages (from python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): oslo.i18n>=2.1.0 in ./virtualenv/lib/python2.7/site-packages (from python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): iso8601>=0.1.11 in ./virtualenv/lib/python2.7/site-packages (from python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): Babel>=2.3.4 in ./virtualenv/lib/python2.7/site-packages (from python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): simplejson>=2.2.0 in ./virtualenv/lib/python2.7/site-packages (from python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): keystoneauth1>=2.10.0 in ./virtualenv/lib/python2.7/site-packages (from python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): oslo.serialization>=1.10.0 in ./virtualenv/lib/python2.7/site-packages (from python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): osc-lib>=1.0.2 in ./virtualenv/lib/python2.7/site-packages (from python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): openstacksdk>=0.9.4 in ./virtualenv/lib/python2.7/site-packages (from python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): cliff!=1.16.0,!=1.17.0,>=1.15.0 in ./virtualenv/lib/python2.7/site-packages (from python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): python-keystoneclient!=2.1.0,>=2.0.0 in ./virtualenv/lib/python2.7/site-packages (from python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 in ./virtualenv/lib/python2.7/site-packages (from python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): python-glanceclient!=2.4.0,>=2.3.0 in ./virtualenv/lib/python2.7/site-packages (from python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): os-client-config>=1.13.1 in ./virtualenv/lib/python2.7/site-packages (from python-neutronclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): debtcollector>=1.2.0 in ./virtualenv/lib/python2.7/site-packages (from python-neutronclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): netaddr!=0.7.16,>=0.7.12 in ./virtualenv/lib/python2.7/site-packages (from python-neutronclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): MarkupSafe in ./virtualenv/lib/python2.7/site-packages (from jinja2->ansible>=2.0->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): idna>=2.0 in ./virtualenv/lib/python2.7/site-packages (from cryptography>=0.7->pyopenssl>=0.13->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): ipaddress in ./virtualenv/lib/python2.7/site-packages (from cryptography>=0.7->pyopenssl>=0.13->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): enum34 in ./virtualenv/lib/python2.7/site-packages (from cryptography>=0.7->pyopenssl>=0.13->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): cffi>=1.4.1 in ./virtualenv/lib/python2.7/site-packages (from cryptography>=0.7->pyopenssl>=0.13->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): funcsigs>=0.4; python_version == "2.7" or python_version == "2.6" in ./virtualenv/lib/python2.7/site-packages (from oslo.utils>=3.16.0->python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): monotonic>=0.6 in ./virtualenv/lib/python2.7/site-packages (from oslo.utils>=3.16.0->python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pyparsing>=2.0.1 in ./virtualenv/lib/python2.7/site-packages (from oslo.utils>=3.16.0->python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): netifaces>=0.10.4 in ./virtualenv/lib/python2.7/site-packages (from oslo.utils>=3.16.0->python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pytz>=2013.6 in ./virtualenv/lib/python2.7/site-packages (from oslo.utils>=3.16.0->python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): stevedore>=1.16.0 in ./virtualenv/lib/python2.7/site-packages (from keystoneauth1>=2.10.0->python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): positional>=1.0.1 in ./virtualenv/lib/python2.7/site-packages (from keystoneauth1>=2.10.0->python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): msgpack-python>=0.4.0 in ./virtualenv/lib/python2.7/site-packages (from oslo.serialization>=1.10.0->python-novaclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): unicodecsv>=0.8.0; python_version < "3.0" in ./virtualenv/lib/python2.7/site-packages (from cliff!=1.16.0,!=1.17.0,>=1.15.0->python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): cmd2>=0.6.7 in ./virtualenv/lib/python2.7/site-packages (from cliff!=1.16.0,!=1.17.0,>=1.15.0->python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): oslo.config>=3.14.0 in ./virtualenv/lib/python2.7/site-packages (from python-keystoneclient!=2.1.0,>=2.0.0->python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): warlock!=1.3.0,<2,>=1.0.1 in ./virtualenv/lib/python2.7/site-packages (from python-glanceclient!=2.4.0,>=2.3.0->python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): requestsexceptions>=1.1.1 in ./virtualenv/lib/python2.7/site-packages (from os-client-config>=1.13.1->python-neutronclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): appdirs>=1.3.0 in ./virtualenv/lib/python2.7/site-packages (from os-client-config>=1.13.1->python-neutronclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): wrapt>=1.7.0 in ./virtualenv/lib/python2.7/site-packages (from debtcollector>=1.2.0->python-neutronclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): pycparser in ./virtualenv/lib/python2.7/site-packages (from cffi>=1.4.1->cryptography>=0.7->pyopenssl>=0.13->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): rfc3986>=0.2.0 in ./virtualenv/lib/python2.7/site-packages (from oslo.config>=3.14.0->python-keystoneclient!=2.1.0,>=2.0.0->python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): jsonschema<3,>=0.7 in ./virtualenv/lib/python2.7/site-packages (from warlock!=1.3.0,<2,>=1.0.1->python-glanceclient!=2.4.0,>=2.3.0->python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): jsonpatch<2,>=0.10 in ./virtualenv/lib/python2.7/site-packages (from warlock!=1.3.0,<2,>=1.0.1->python-glanceclient!=2.4.0,>=2.3.0->python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): functools32; python_version == "2.7" in ./virtualenv/lib/python2.7/site-packages (from jsonschema<3,>=0.7->warlock!=1.3.0,<2,>=1.0.1->python-glanceclient!=2.4.0,>=2.3.0->python-openstackclient->teuthology==0.1.0)
Requirement already satisfied (use --upgrade to upgrade): jsonpointer>=1.9 in ./virtualenv/lib/python2.7/site-packages (from jsonpatch<2,>=0.10->warlock!=1.3.0,<2,>=1.0.1->python-glanceclient!=2.4.0,>=2.3.0->python-openstackclient->teuthology==0.1.0)
Installing collected packages: teuthology
  Running setup.py develop for teuthology
Successfully installed teuthology
You are using pip version 8.1.2, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
++ pip install -e .
Obtaining file:///home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench
Requirement already satisfied (use --upgrade to upgrade): alabaster==0.7.7 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): ansible==2.1.1.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): appdirs==1.4.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): Babel==2.3.4 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): beanstalkc==0.4.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): boto==2.39.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): bunch==1.0.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): cffi==1.5.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): cliff==2.2.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): cmd2==0.6.8 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): configobj==5.0.6 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): configparser==3.3.0.post2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): contextlib2==0.5.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): coverage==4.0.3 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): cryptography==1.3 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): d2to1==0.2.12.post1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): debtcollector==1.8.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): discover==0.4.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): docopt==0.6.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): docutils==0.12 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): ecdsa==0.13 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): enum34==1.1.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): extras==0.0.3 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): fixtures==1.4.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): flake8==2.2.4 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): funcsigs==1.0.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): functools32==3.2.3.post2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): gevent==1.0.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): gitdb==0.6.4 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): github2gitlab==1.5.5 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): githubpy==1.1.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): GitPython==1.0.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): greenlet==0.4.9 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): hacking==0.10.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): httplib2==0.9.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): idna==2.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): ipaddress==1.0.16 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): iso8601==0.1.11 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): Jinja2==2.8 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): jsonpatch==1.14 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): jsonpointer==1.10 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): jsonschema==2.5.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): keystoneauth1==2.12.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): libvirt-python==1.3.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): linecache2==1.0.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): MarkupSafe==0.23 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): mccabe==0.2.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): mock==1.3.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): monotonic==1.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): msgpack-python==0.4.8 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): MySQL-python==1.2.3 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): mysqlclient==1.3.7 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): ndg-httpsclient==0.4.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): netaddr==0.7.18 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): netifaces==0.10.5 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): openstacksdk==0.9.5 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): os-client-config==1.21.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): osc-lib==1.1.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): oslo.config==3.17.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): oslo.i18n==3.9.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): oslo.serialization==2.13.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): oslo.utils==3.16.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): paramiko==1.16.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pbr==1.10.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pep8==1.5.7 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pexpect==4.0.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pip==8.1.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pluggy==0.3.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): positional==1.1.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): prettytable==0.7.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): psutil==4.1.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): ptyprocess==0.5.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): py==1.4.31 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pyasn1==0.1.9 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pycparser==2.14 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pycrypto==2.6.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pyflakes==0.8.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): Pygments==2.1.3 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pyOpenSSL==0.15.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pyparsing==2.1.8 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pyrsistent==0.11.12 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pytest==2.9.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pytest-capturelog==0.7 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-cinderclient==1.9.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-dateutil==2.5.3 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-glanceclient==2.5.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-keystoneclient==3.5.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-mimeparse==1.5.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-neutronclient==4.1.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-novaclient==6.0.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-openstackclient==3.2.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-redmine==1.5.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): python-subunit==1.2.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): pytz==2016.6.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): PyYAML==3.12 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): raven==5.11.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): requests==2.11.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): requestsexceptions==1.1.3 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): setuptools==20.3.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): simplejson==3.8.2 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): six==1.10.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): smmap==0.9.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): snowballstemmer==1.2.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): Sphinx==1.3.6 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): sphinx-rtd-theme==0.1.9 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): stevedore==1.17.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): testrepository==0.0.20 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): testtools==2.0.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): tox==2.3.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): traceback2==1.4.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): unicodecsv==0.14.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): unittest2==1.1.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): virtualenv==15.0.1 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): warlock==1.2.0 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): web.py==0.37 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): wrapt==1.10.8 in ./virtualenv/lib/python2.7/site-packages (from ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): rfc3986>=0.2.0 in ./virtualenv/lib/python2.7/site-packages (from oslo.config==3.17.0->ceph-workbench==1.5.14)
Requirement already satisfied (use --upgrade to upgrade): argparse in /usr/lib/python2.7 (from unittest2==1.1.0->ceph-workbench==1.5.14)
Installing collected packages: ceph-workbench
  Running setup.py develop for ceph-workbench
Successfully installed ceph-workbench
You are using pip version 8.1.2, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
++ pip install tox
Requirement already satisfied (use --upgrade to upgrade): tox in ./virtualenv/lib/python2.7/site-packages
Requirement already satisfied (use --upgrade to upgrade): py>=1.4.17 in ./virtualenv/lib/python2.7/site-packages (from tox)
Requirement already satisfied (use --upgrade to upgrade): virtualenv>=1.11.2 in ./virtualenv/lib/python2.7/site-packages (from tox)
Requirement already satisfied (use --upgrade to upgrade): pluggy<0.4.0,>=0.3.0 in ./virtualenv/lib/python2.7/site-packages (from tox)
You are using pip version 8.1.2, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
+ bash tests/setup.sh
+ bash tests/teardown.sh
Failed to stop container (test-gitlab): Error response from daemon: No such container: test-gitlab
Failed to remove container (test-gitlab): Error response from daemon: No such container: test-gitlab
Failed to stop container (test-mysql): Error response from daemon: No such container: test-mysql
Failed to remove container (test-mysql): Error response from daemon: No such container: test-mysql
Failed to stop container (test-redis): Error response from daemon: No such container: test-redis
Failed to remove container (test-redis): Error response from daemon: No such container: test-redis
Failed to stop container (postgresql-redmine): Error response from daemon: No such container: postgresql-redmine
Failed to remove container (postgresql-redmine): Error response from daemon: No such container: postgresql-redmine
Failed to stop container (redmine): Error response from daemon: No such container: redmine
Failed to remove container (redmine): Error response from daemon: No such container: redmine
+ mkdir data
+ bash tests/setup-redmine.sh
++ pwd
+ sudo docker run --name=postgresql-redmine -d --env=DB_NAME=redmine_production --env=DB_USER=redmine --env=DB_PASS=password --volume=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data/postgresql:/var/lib/postgresql quay.io/sameersbn/postgresql:9.4-5
682987ea2d253205e8699c818962e5027d17947b59a530265d8a0012c8bdae35
++ pwd
+ sudo docker run --name=redmine -d --link=postgresql-redmine:postgresql --publish=10080:80 --env=REDMINE_PORT=10080 --volume=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data/redmine:/home/redmine/data quay.io/sameersbn/redmine:3.1.1-3
28efd156c0a8513421d7d47b2a054d7e37abca7d04b62a5811008d154390b374
+ success=false
+ for delay in 15 15 15 15 15 30 30 30 30 30 30 30 30 60 60 60 60 120 240 512
+ sleep 15
+ python tests/redmine-init.py http://127.0.0.1:10080 admin admin
Traceback (most recent call last):
  File "tests/redmine-init.py", line 74, in <module>
    init(*sys.argv[1:])
  File "tests/redmine-init.py", line 22, in init
    p = params(s.get(url + '/login'))
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/sessions.py", line 488, in get
    return self.request('GET', url, **kwargs)
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/sessions.py", line 475, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/sessions.py", line 596, in send
    r = adapter.send(request, **kwargs)
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/adapters.py", line 473, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', error(104, 'Connection reset by peer'))
+ for delay in 15 15 15 15 15 30 30 30 30 30 30 30 30 60 60 60 60 120 240 512
+ sleep 15
+ python tests/redmine-init.py http://127.0.0.1:10080 admin admin
Traceback (most recent call last):
  File "tests/redmine-init.py", line 74, in <module>
    init(*sys.argv[1:])
  File "tests/redmine-init.py", line 22, in init
    p = params(s.get(url + '/login'))
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/sessions.py", line 488, in get
    return self.request('GET', url, **kwargs)
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/sessions.py", line 475, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/sessions.py", line 596, in send
    r = adapter.send(request, **kwargs)
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/adapters.py", line 473, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', error(104, 'Connection reset by peer'))
+ for delay in 15 15 15 15 15 30 30 30 30 30 30 30 30 60 60 60 60 120 240 512
+ sleep 15
+ python tests/redmine-init.py http://127.0.0.1:10080 admin admin
Traceback (most recent call last):
  File "tests/redmine-init.py", line 74, in <module>
    init(*sys.argv[1:])
  File "tests/redmine-init.py", line 24, in init
    s.post(url + '/login', params=p).raise_for_status()
  File "/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/local/lib/python2.7/site-packages/requests/models.py", line 862, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 502 Server Error: Bad Gateway for url: http://127.0.0.1:10080/login?username=admin&password=admin
+ for delay in 15 15 15 15 15 30 30 30 30 30 30 30 30 60 60 60 60 120 240 512
+ sleep 15
+ python tests/redmine-init.py http://127.0.0.1:10080 admin admin
+ success=true
+ break
+ true
+ bash tests/setup-gitlab.sh
++ pwd
+ DATA=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data
+ mkdir -p /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data
+ sudo docker run --name=test-redis -d sameersbn/redis:latest
8a34b64b741370418d855e391f98ed6d0f790c001902f634142199b1c6bb4e6e
+ sudo rm -fr /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data/mysql
+ mkdir -p /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data/mysql
+ sudo docker run --name=test-mysql -d -e DB_NAME=gitlabhq_production -e DB_USER=gitlab -e DB_PASS=Wrobyak4 -v /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data/mysql/data:/var/lib/mysql sameersbn/mysql:latest
93c35f57857de878bcc04adc03e2473cc6e7e146581b1b3b9e47538edda25b65
+ sudo rm -fr /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data/gitlab
+ mkdir -p /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data/gitlab
++ which docker
+ sudo docker run --name=test-gitlab -it -d --link test-mysql:mysql --link test-redis:redisio -e GITLAB_SIGNUP=true -e GITLAB_PORT=80 -e GITLAB_HOST=localhost -e GITLAB_SSH_PORT=8022 -p 8022:22 -p 8181:80 -e GITLAB_SECRETS_DB_KEY_BASE=4W44tm7bJFRPWNMVzKngffxVWXRpVs49dxhFwgpx7FbCj3wXCMmsz47LzWsdr7nM -v /var/run/docker.sock:/run/docker.sock -v /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/data/gitlab/data:/home/git/data -v /usr/bin/docker:/bin/docker sameersbn/gitlab
53e79e4dca22483c4ad228e7176bfb194b351e6afde42b13f5f2bbbf8a399b59
+ success=false
+ for delay in 15 15 15 15 15 30 30 30 30 30 30 30 30 60 60 60 60 120 240 512
+ sleep 15
+ wget -O - http://127.0.0.1:8181/users/sign_in
+ grep -q 'About GitLab'
--2017-02-06 10:13:03--  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... Read error (Connection reset by peer) in headers.
Retrying.

--2017-02-06 10:13:04--  (try: 2)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:13:06--  (try: 3)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:13:09--  (try: 4)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:13:13--  (try: 5)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... Read error (Connection reset by peer) in headers.
Retrying.

--2017-02-06 10:13:18--  (try: 6)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:13:24--  (try: 7)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:13:31--  (try: 8)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... Read error (Connection reset by peer) in headers.
Retrying.

--2017-02-06 10:13:39--  (try: 9)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:13:48--  (try:10)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:13:58--  (try:11)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... Read error (Connection reset by peer) in headers.
Retrying.

--2017-02-06 10:14:08--  (try:12)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:14:18--  (try:13)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:14:28--  (try:14)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2017-02-06 10:14:38--  (try:15)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... Read error (Connection reset by peer) in headers.
Retrying.

--2017-02-06 10:14:48--  (try:16)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... Read error (Connection reset by peer) in headers.
Retrying.

--2017-02-06 10:14:58--  (try:17)  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... 502 Bad Gateway
2017-02-06 10:14:58 ERROR 502: Bad Gateway.

+ for delay in 15 15 15 15 15 30 30 30 30 30 30 30 30 60 60 60 60 120 240 512
+ sleep 15
+ wget -O - http://127.0.0.1:8181/users/sign_in
+ grep -q 'About GitLab'
--2017-02-06 10:15:13--  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... 502 Bad Gateway
2017-02-06 10:15:13 ERROR 502: Bad Gateway.

+ for delay in 15 15 15 15 15 30 30 30 30 30 30 30 30 60 60 60 60 120 240 512
+ sleep 15
+ wget -O - http://127.0.0.1:8181/users/sign_in
+ grep -q 'About GitLab'
--2017-02-06 10:15:28--  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... 502 Bad Gateway
2017-02-06 10:15:28 ERROR 502: Bad Gateway.

+ for delay in 15 15 15 15 15 30 30 30 30 30 30 30 30 60 60 60 60 120 240 512
+ sleep 15
+ wget -O - http://127.0.0.1:8181/users/sign_in
+ grep -q 'About GitLab'
--2017-02-06 10:15:43--  http://127.0.0.1:8181/users/sign_in
Connecting to 127.0.0.1:8181... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [text/html]
Saving to: ‘STDOUT’

     0K .......                                                84.0M=0s

2017-02-06 10:15:45 (84.0 MB/s) - written to stdout [7472]

+ success=true
+ break
+ true
+ tox
flake8 create: /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/flake8
flake8 installdeps: -r/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/requirements.txt
flake8 develop-inst: /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench
flake8 installed: You are using pip version 8.1.2, however version 9.0.1 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,alabaster==0.7.7,ansible==2.1.1.0,appdirs==1.4.0,Babel==2.3.4,beanstalkc==0.4.0,boto==2.39.0,bunch==1.0.1,-e git+http://gitlab-ci-token:xxxxxx@ceph-workbench.dachary.org/root/ceph-workbench.git@641fc3cd1f2640d26dba24e8af56ee82e50f401f#egg=ceph_workbench,cffi==1.5.2,cliff==2.2.0,cmd2==0.6.8,configobj==5.0.6,configparser==3.3.0.post2,contextlib2==0.5.1,coverage==4.0.3,cryptography==1.3,d2to1==0.2.12.post1,debtcollector==1.8.0,discover==0.4.0,docopt==0.6.2,docutils==0.12,ecdsa==0.13,enum34==1.1.2,extras==0.0.3,fixtures==1.4.0,flake8==2.2.4,funcsigs==1.0.2,functools32==3.2.3.post2,gevent==1.0.2,gitdb==0.6.4,github2gitlab==1.5.5,githubpy==1.1.0,GitPython==1.0.2,greenlet==0.4.9,hacking==0.10.2,httplib2==0.9.2,idna==2.0,ipaddress==1.0.16,iso8601==0.1.11,Jinja2==2.8,jsonpatch==1.14,jsonpointer==1.10,jsonschema==2.5.1,keystoneauth1==2.12.1,libvirt-python==1.3.2,linecache2==1.0.0,MarkupSafe==0.23,mccabe==0.2.1,mock==1.3.0,monotonic==1.2,msgpack-python==0.4.8,MySQL-python==1.2.3,mysqlclient==1.3.7,ndg-httpsclient==0.4.0,netaddr==0.7.18,netifaces==0.10.5,openstacksdk==0.9.5,os-client-config==1.21.1,osc-lib==1.1.0,oslo.config==3.17.0,oslo.i18n==3.9.0,oslo.serialization==2.13.0,oslo.utils==3.16.0,packaging==16.8,paramiko==1.16.0,pbr==1.10.0,pep8==1.5.7,pexpect==4.0.1,pluggy==0.3.1,positional==1.1.1,prettytable==0.7.2,psutil==4.1.0,ptyprocess==0.5.1,py==1.4.31,pyasn1==0.1.9,pycparser==2.14,pycrypto==2.6.1,pyflakes==0.8.1,Pygments==2.1.3,pyOpenSSL==0.15.1,pyparsing==2.1.8,pyrsistent==0.11.12,pytest==2.9.0,pytest-capturelog==0.7,python-cinderclient==1.9.0,python-dateutil==2.5.3,python-glanceclient==2.5.0,python-keystoneclient==3.5.0,python-mimeparse==1.5.1,python-neutronclient==4.1.1,python-novaclient==6.0.0,python-openstackclient==3.2.0,python-redmine==1.5.0,python-subunit==1.2.0,pytz==2016.6.1,PyYAML==3.12,raven==5.11.1,requests==2.11.1,requestsexceptions==1.1.3,rfc3986==0.4.1,simplejson==3.8.2,six==1.10.0,smmap==0.9.0,snowballstemmer==1.2.1,Sphinx==1.3.6,sphinx-rtd-theme==0.1.9,stevedore==1.17.1,testrepository==0.0.20,testtools==2.0.0,teuthology==0.1.0,tox==2.3.1,traceback2==1.4.0,unicodecsv==0.14.1,unittest2==1.1.0,virtualenv==15.0.1,warlock==1.2.0,web.py==0.37,wrapt==1.10.8
flake8 runtests: PYTHONHASHSEED='3280892092'
flake8 runtests: commands[0] | flake8 --ignore=H105,H405 bin ceph_workbench tests
py27 create: /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py27
py27 installdeps: -r/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/requirements.txt
py27 develop-inst: /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench
py27 installed: You are using pip version 8.1.2, however version 9.0.1 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,alabaster==0.7.7,ansible==2.1.1.0,appdirs==1.4.0,Babel==2.3.4,beanstalkc==0.4.0,boto==2.39.0,bunch==1.0.1,-e git+http://gitlab-ci-token:xxxxxx@ceph-workbench.dachary.org/root/ceph-workbench.git@641fc3cd1f2640d26dba24e8af56ee82e50f401f#egg=ceph_workbench,cffi==1.5.2,cliff==2.2.0,cmd2==0.6.8,configobj==5.0.6,configparser==3.3.0.post2,contextlib2==0.5.1,coverage==4.0.3,cryptography==1.3,d2to1==0.2.12.post1,debtcollector==1.8.0,discover==0.4.0,docopt==0.6.2,docutils==0.12,ecdsa==0.13,enum34==1.1.2,extras==0.0.3,fixtures==1.4.0,flake8==2.2.4,funcsigs==1.0.2,functools32==3.2.3.post2,gevent==1.0.2,gitdb==0.6.4,github2gitlab==1.5.5,githubpy==1.1.0,GitPython==1.0.2,greenlet==0.4.9,hacking==0.10.2,httplib2==0.9.2,idna==2.0,ipaddress==1.0.16,iso8601==0.1.11,Jinja2==2.8,jsonpatch==1.14,jsonpointer==1.10,jsonschema==2.5.1,keystoneauth1==2.12.1,libvirt-python==1.3.2,linecache2==1.0.0,MarkupSafe==0.23,mccabe==0.2.1,mock==1.3.0,monotonic==1.2,msgpack-python==0.4.8,MySQL-python==1.2.3,mysqlclient==1.3.7,ndg-httpsclient==0.4.0,netaddr==0.7.18,netifaces==0.10.5,openstacksdk==0.9.5,os-client-config==1.21.1,osc-lib==1.1.0,oslo.config==3.17.0,oslo.i18n==3.9.0,oslo.serialization==2.13.0,oslo.utils==3.16.0,packaging==16.8,paramiko==1.16.0,pbr==1.10.0,pep8==1.5.7,pexpect==4.0.1,pluggy==0.3.1,positional==1.1.1,prettytable==0.7.2,psutil==4.1.0,ptyprocess==0.5.1,py==1.4.31,pyasn1==0.1.9,pycparser==2.14,pycrypto==2.6.1,pyflakes==0.8.1,Pygments==2.1.3,pyOpenSSL==0.15.1,pyparsing==2.1.8,pyrsistent==0.11.12,pytest==2.9.0,pytest-capturelog==0.7,python-cinderclient==1.9.0,python-dateutil==2.5.3,python-glanceclient==2.5.0,python-keystoneclient==3.5.0,python-mimeparse==1.5.1,python-neutronclient==4.1.1,python-novaclient==6.0.0,python-openstackclient==3.2.0,python-redmine==1.5.0,python-subunit==1.2.0,pytz==2016.6.1,PyYAML==3.12,raven==5.11.1,requests==2.11.1,requestsexceptions==1.1.3,rfc3986==0.4.1,simplejson==3.8.2,six==1.10.0,smmap==0.9.0,snowballstemmer==1.2.1,Sphinx==1.3.6,sphinx-rtd-theme==0.1.9,stevedore==1.17.1,testrepository==0.0.20,testtools==2.0.0,teuthology==0.1.0,tox==2.3.1,traceback2==1.4.0,unicodecsv==0.14.1,unittest2==1.1.0,virtualenv==15.0.1,warlock==1.2.0,web.py==0.37,wrapt==1.10.8
py27 runtests: PYTHONHASHSEED='3280892092'
py27 runtests: commands[0] | env PATH=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/bin:/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py27/bin/coverage run --source=ceph_workbench /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py27/bin/py.test -v tests
============================= test session starts ==============================
platform linux2 -- Python 2.7.6, pytest-2.9.0, py-1.4.31, pluggy-0.3.1 -- /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py27/bin/python2.7
cachedir: .cache
rootdir: /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench, inifile: 
plugins: capturelog-0.7
collecting ... collected 49 items

tests/test_ceph_qa_suite.py::TestCephQaSuite::test_run PASSED
tests/test_delegate.py::TestCephQaSuite::test_get_trimmed_argv FAILED
tests/test_delegate.py::TestCephQaSuite::test_verify_keys PASSED
tests/test_main.py::TestCephWorkbench::test_init PASSED
tests/test_main.py::TestCephWorkbench::test_run PASSED
tests/test_release.py::TestCephRelease::test_merge_deb_fix_conf PASSED
tests/test_release.py::TestCephRelease::test_discover_repositories PASSED
tests/test_release.py::TestCephRelease::test_discover_builds PASSED
tests/test_release.py::TestCephRelease::test_run FAILED
tests/test_util.py::TestUtil::test_releases PASSED
tests/test_util.py::TestUtil::test_get_parser PASSED
tests/test_util.py::TestUtil::test_config_dir PASSED
tests/test_util.py::TestUtil::test_sh PASSED
tests/test_util.py::TestUtil::test_sh_progress PASSED
tests/test_util.py::TestUtil::test_sh_input PASSED
tests/test_util.py::TestUtil::test_sh_fail PASSED
tests/test_wbbackport.py::TestWBBackport::test_inventory_isolated_commit PASSED
tests/test_wbbackport.py::TestWBBackport::test_inventory_issues_no_merge_request PASSED
tests/test_wbbackport.py::TestWBBackport::test_inventory_issues_via_cherry_picking PASSED
tests/test_wbbackport.py::TestWBBackport::test_inventory_write PASSED
tests/test_wbbackportcreateissue.py::TestWBBackportCreateIssue::test_run PASSED
tests/test_wbbackportcreateissue.py::TestWBBackportCreateIssue::test_create_issue PASSED
tests/test_wbbackportsetrelease.py::TestWBBackportSetRelease::test_run PASSED
tests/test_wbbackportsetrelease.py::TestWBBackportSetRelease::test_set_release PASSED
tests/test_wbgit.py::TestWBRepo::test_update_release2ranges PASSED
tests/test_wbgit.py::TestWBRepo::test_remember_picked PASSED
tests/test_wbgit.py::TestWBRepo::test_remember_commits PASSED
tests/test_wbgit.py::TestWBRepo::test_update_commits PASSED
tests/test_wbgit.py::TestWBRepo::test_update_head2merge PASSED
tests/test_wbgit.py::TestWBRepo::test_update_release2backports PASSED
tests/test_wbgit.py::TestWBRepo::test_update_release2last_tag PASSED
tests/test_wbgit.py::TestWBRepo::test_clone PASSED
tests/test_wbgithub.py::TestWBGitHub::test_index PASSED
tests/test_wbgithub.py::TestWBGitHub::test_pull_request PASSED
tests/test_wbgitlab.py::TestWBGitLab::test_index PASSED
tests/test_wbredmine.py::TestWBRedmine::test_load_open_issues PASSED
tests/test_wbredmine.py::TestWBRedmine::test_set_custom_fields PASSED
tests/test_wbredmine.py::TestWBRedmine::test_index PASSED
tests/test_wbredmine.py::TestWBRedmine::test_key PASSED
tests/test_wbredmine.py::TestWBRedmine::test_factory PASSED
tests/test_wbxref.py::TestWBXref::test_init PASSED
tests/test_wbxref.py::TestWBXref::test_merge_message2issue PASSED
tests/test_wbxref.py::TestWBXref::test_message2issue PASSED
tests/test_wbxref.py::TestWBXref::test_sanity_checks PASSED
tests/test_wbxref.py::TestWBXref::test_update_cherry_pick_or_link PASSED
tests/test_wbxref.py::TestWBXref::test_update_commit2issues PASSED
tests/test_wbxref.py::TestWBXref::test_update_issue PASSED
tests/test_wbxref.py::TestWBXref::test_update_issues_with_comments PASSED
tests/test_wbxref.py::TestWBXref::test_update_issues_with_merge PASSED

=================================== FAILURES ===================================
____________________ TestCephQaSuite.test_get_trimmed_argv _____________________

self = <test_delegate.TestCephQaSuite object at 0x7fce34454810>

    def test_get_trimmed_argv(self):
        d_parser = delegate.TeuthologyDelegate.get_parser()
        parser = argparse.ArgumentParser(
            parents=[
                d_parser,
            ],
            conflict_handler='resolve',
        )
        parser.add_argument('--something-with-arg')
        parser.add_argument('--no-arg', action='store_true')
        pprint.pprint(vars(parser))
        argv_discarded = [
            '--no-arg',
            '--something-with-arg', 'arg',
        ]
        argv_preserved = [
            '-s', 'dummy',
            'distros/all/jessie-8.0.yaml',
        ]
        argv = argv_discarded + argv_preserved
        args = parser.parse_args(argv)
        assert 'openrc.sh' == args.openrc
        trimmed_argv = delegate.TeuthologyDelegate.get_trimmed_argv(
            get_parser(), args)
        expected = ['--key-name',
                    'teuthology-myself',
                    '--simultaneous-jobs',
                    10,
                    '-s',
                    'dummy',
                    '--teuthology-branch',
                    'master',
                    '--teuthology-git-url',
                    'http://github.com/SUSE/teuthology',
                    'distros/all/jessie-8.0.yaml']
>       assert expected == trimmed_argv
E       assert ['--key-name'... 'dummy', ...] == ['--key-name',... 'dummy', ...]
E         At index 6 diff: '--teuthology-branch' != '--teuthology-git-url'
E         Left contains more items, first extra item: 'http://github.com/SUSE/teuthology'
E         Full diff:
E         ['--key-name',
E         'teuthology-myself',
E         '--simultaneous-jobs',
E         10,
E         '-s',
E         'dummy',
E         -  '--teuthology-branch',
E         -  'master',
E         '--teuthology-git-url',
E         'http://github.com/SUSE/teuthology',
E         'distros/all/jessie-8.0.yaml']

tests/test_delegate.py:82: AssertionError
--------------------------------- Captured log ---------------------------------
delegate.py                111 DEBUG    get_trimmed_argv: checking archive_upload=ubuntu@teuthology-logs.public.ceph.com:./
delegate.py                111 DEBUG    get_trimmed_argv: checking archive_upload_url=http://teuthology-logs.public.ceph.com
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph=master
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph_git_url=None
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph_qa_suite_git_url=None
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph_workbench_branch=master
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph_workbench_git_url=None
delegate.py                111 DEBUG    get_trimmed_argv: checking config_yaml=['distros/all/jessie-8.0.yaml']
delegate.py                125 DEBUG    get_trimmed_argv: positional config_yaml=['distros/all/jessie-8.0.yaml']
delegate.py                111 DEBUG    get_trimmed_argv: checking distro=None
delegate.py                111 DEBUG    get_trimmed_argv: checking dry_run=None
delegate.py                111 DEBUG    get_trimmed_argv: checking email=None
delegate.py                111 DEBUG    get_trimmed_argv: checking filter=None
delegate.py                111 DEBUG    get_trimmed_argv: checking filter_out=None
delegate.py                111 DEBUG    get_trimmed_argv: checking flavor=basic
delegate.py                111 DEBUG    get_trimmed_argv: checking kernel=None
delegate.py                111 DEBUG    get_trimmed_argv: checking key_filename=None
delegate.py                111 DEBUG    get_trimmed_argv: checking key_name=teuthology-myself
delegate.py                111 DEBUG    get_trimmed_argv: checking limit=None
delegate.py                111 DEBUG    get_trimmed_argv: checking name=teuthology
delegate.py                111 DEBUG    get_trimmed_argv: checking no_arg=True
delegate.py                113 DEBUG    get_trimmed_argv: skip unknown no_arg
delegate.py                111 DEBUG    get_trimmed_argv: checking num=1
delegate.py                111 DEBUG    get_trimmed_argv: checking openrc=openrc.sh
delegate.py                113 DEBUG    get_trimmed_argv: skip unknown openrc
delegate.py                111 DEBUG    get_trimmed_argv: checking priority=1000
delegate.py                111 DEBUG    get_trimmed_argv: checking simultaneous_jobs=10
delegate.py                111 DEBUG    get_trimmed_argv: checking something_with_arg=arg
delegate.py                113 DEBUG    get_trimmed_argv: skip unknown something_with_arg
delegate.py                111 DEBUG    get_trimmed_argv: checking subset=None
delegate.py                111 DEBUG    get_trimmed_argv: checking suite=dummy
delegate.py                111 DEBUG    get_trimmed_argv: checking suite_branch=None
delegate.py                111 DEBUG    get_trimmed_argv: checking teardown=None
delegate.py                111 DEBUG    get_trimmed_argv: checking teuthology_branch=master
delegate.py                111 DEBUG    get_trimmed_argv: checking teuthology_git_url=http://github.com/SUSE/teuthology
delegate.py                111 DEBUG    get_trimmed_argv: checking throttle=15
delegate.py                111 DEBUG    get_trimmed_argv: checking timeout=43200
delegate.py                111 DEBUG    get_trimmed_argv: checking upload=False
delegate.py                111 DEBUG    get_trimmed_argv: checking verbose=None
delegate.py                111 DEBUG    get_trimmed_argv: checking wait=None
----------------------------- Captured stdout call -----------------------------
{'_action_groups': [<argparse._ArgumentGroup object at 0x7fce3441af10>,
                    <argparse._ArgumentGroup object at 0x7fce34454590>],
 '_actions': [_StoreTrueAction(option_strings=['--wait'], dest='wait', nargs=0, const=True, default=None, type=None, choices=None, help='block until the suite is finished', metavar=None),
              _StoreAction(option_strings=['--name'], dest='name', nargs=None, const=None, default='teuthology', type=None, choices=None, help='OpenStack primary instance name', metavar=None),
              _StoreAction(option_strings=['--simultaneous-jobs'], dest='simultaneous_jobs', nargs=None, const=None, default=10, type=<type 'int'>, choices=None, help='maximum number of jobs running in parallel', metavar=None),
              _StoreTrueAction(option_strings=['--teardown'], dest='teardown', nargs=0, const=True, default=None, type=None, choices=None, help='destroy the cluster, if it exists', metavar=None),
              _StoreAction(option_strings=['--teuthology-git-url'], dest='teuthology_git_url', nargs=None, const=None, default='http://github.com/SUSE/teuthology', type=None, choices=None, help='git clone url for teuthology', metavar=None),
              _StoreAction(option_strings=['--teuthology-branch'], dest='teuthology_branch', nargs=None, const=None, default='master', type=None, choices=None, help='use this teuthology branch instead of master', metavar=None),
              _StoreAction(option_strings=['--ceph-workbench-git-url'], dest='ceph_workbench_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for ceph-workbench', metavar=None),
              _StoreAction(option_strings=['--ceph-workbench-branch'], dest='ceph_workbench_branch', nargs=None, const=None, default='master', type=None, choices=None, help='use this ceph-workbench branch instead of master', metavar=None),
              _StoreTrueAction(option_strings=['--upload'], dest='upload', nargs=0, const=True, default=False, type=None, choices=None, help='upload archives to an rsync server', metavar=None),
              _StoreAction(option_strings=['--archive-upload'], dest='archive_upload', nargs=None, const=None, default='ubuntu@teuthology-logs.public.ceph.com:./', type=None, choices=None, help='rsync destination to upload archives', metavar=None),
              _StoreAction(option_strings=['--archive-upload-url'], dest='archive_upload_url', nargs=None, const=None, default='http://teuthology-logs.public.ceph.com', type=None, choices=None, help='Public facing URL where archives are uploaded', metavar=None),
              _StoreAction(option_strings=['--key-name'], dest='key_name', nargs=None, const=None, default='teuthology-myself', type=None, choices=None, help='OpenStack keypair name', metavar=None),
              _StoreAction(option_strings=['--key-filename'], dest='key_filename', nargs=None, const=None, default=None, type=None, choices=None, help='path to the ssh private key', metavar=None),
              _HelpAction(option_strings=['-h', '--help'], dest='help', nargs=0, const=None, default='==SUPPRESS==', type=None, choices=None, help='show this help message and exit', metavar=None),
              _StoreAction(option_strings=[], dest='config_yaml', nargs='*', const=None, default=None, type=None, choices=None, help='Optional extra job yaml to include', metavar=None),
              _StoreTrueAction(option_strings=['-v', '--verbose'], dest='verbose', nargs=0, const=True, default=None, type=None, choices=None, help='be more verbose', metavar=None),
              _StoreTrueAction(option_strings=['--dry-run'], dest='dry_run', nargs=0, const=True, default=None, type=None, choices=None, help='Do a dry run; do not schedule anything', metavar=None),
              _StoreAction(option_strings=['-s', '--suite'], dest='suite', nargs=None, const=None, default=None, type=None, choices=None, help='The suite to schedule', metavar=None),
              _StoreAction(option_strings=['-c', '--ceph'], dest='ceph', nargs=None, const=None, default='master', type=None, choices=None, help='The ceph branch to run against', metavar=None),
              _StoreAction(option_strings=['-k', '--kernel'], dest='kernel', nargs=None, const=None, default=None, type=None, choices=None, help='The kernel branch to run against; if not supplied, the installed kernel is unchanged', metavar=None),
              _StoreAction(option_strings=['-f', '--flavor'], dest='flavor', nargs=None, const=None, default='basic', type=None, choices=None, help="The kernel flavor to run against: ('basic','gcov', 'notcmalloc')", metavar=None),
              _StoreAction(option_strings=['-d', '--distro'], dest='distro', nargs=None, const=None, default=None, type=None, choices=None, help='Distribution to run against', metavar=None),
              _StoreAction(option_strings=['--suite-branch'], dest='suite_branch', nargs=None, const=None, default=None, type=None, choices=None, help='Use this suite branch instead of the ceph branch', metavar=None),
              _StoreAction(option_strings=['-e', '--email'], dest='email', nargs=None, const=None, default=None, type=None, choices=None, help='When tests finish or time out, send an email here', metavar=None),
              _StoreAction(option_strings=['-N', '--num'], dest='num', nargs=None, const=None, default=1, type=<type 'int'>, choices=None, help='Number of times to run/queue the job', metavar=None),
              _StoreAction(option_strings=['-l', '--limit'], dest='limit', nargs=None, const=None, default=None, type=<type 'int'>, choices=None, help='Queue at most this many jobs', metavar='JOBS'),
              _StoreAction(option_strings=['--subset'], dest='subset', nargs=None, const=None, default=None, type=None, choices=None, help='Instead of scheduling the entire suite, break the set of jobs into <outof> pieces (each of which will contain each facet at least once) and schedule piece <index>.  Scheduling 0/<outof>, 1/<outof>, 2/<outof> ... <outof>-1/<outof> will schedule all jobs in the suite (many more than once).', metavar=None),
              _StoreAction(option_strings=['-p', '--priority'], dest='priority', nargs=None, const=None, default=1000, type=<type 'int'>, choices=None, help='Job priority (lower is sooner)', metavar=None),
              _StoreAction(option_strings=['--timeout'], dest='timeout', nargs=None, const=None, default=43200, type=<type 'int'>, choices=None, help='How long, in seconds, to wait for jobs to finish before sending email. This does not kill jobs.', metavar=None),
              _StoreAction(option_strings=['--filter'], dest='filter', nargs=None, const=None, default=None, type=None, choices=None, help='Only run jobs whose description contains at least one of the keywords in the comma separated keyword string specified. ', metavar=None),
              _StoreAction(option_strings=['--filter-out'], dest='filter_out', nargs=None, const=None, default=None, type=None, choices=None, help='Do not run jobs whose description contains any of the keywords in the comma separated keyword string specified. ', metavar=None),
              _StoreAction(option_strings=['--throttle'], dest='throttle', nargs=None, const=None, default=15, type=<type 'int'>, choices=None, help='When scheduling, wait SLEEP seconds between jobs. Useful to avoid bursts that may be too hard on the underlying infrastructure or exceed OpenStack API limits (server creation per minute for instance).', metavar=None),
              _StoreAction(option_strings=['--ceph-git-url'], dest='ceph_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for Ceph', metavar=None),
              _StoreAction(option_strings=['--ceph-qa-suite-git-url'], dest='ceph_qa_suite_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for ceph-qa-suite', metavar=None),
              _StoreAction(option_strings=['--openrc'], dest='openrc', nargs=None, const=None, default='openrc.sh', type=None, choices=None, help='OpenStack credentials file, relative to ~/.ceph-workbench', metavar=None),
              _StoreAction(option_strings=['--something-with-arg'], dest='something_with_arg', nargs=None, const=None, default=None, type=None, choices=None, help=None, metavar=None),
              _StoreTrueAction(option_strings=['--no-arg'], dest='no_arg', nargs=0, const=True, default=False, type=None, choices=None, help=None, metavar=None)],
 '_defaults': {},
 '_has_negative_number_optionals': [],
 '_mutually_exclusive_groups': [],
 '_negative_number_matcher': <_sre.SRE_Pattern object at 0x7fce344b2750>,
 '_option_string_actions': {'--archive-upload': _StoreAction(option_strings=['--archive-upload'], dest='archive_upload', nargs=None, const=None, default='ubuntu@teuthology-logs.public.ceph.com:./', type=None, choices=None, help='rsync destination to upload archives', metavar=None),
                            '--archive-upload-url': _StoreAction(option_strings=['--archive-upload-url'], dest='archive_upload_url', nargs=None, const=None, default='http://teuthology-logs.public.ceph.com', type=None, choices=None, help='Public facing URL where archives are uploaded', metavar=None),
                            '--ceph': _StoreAction(option_strings=['-c', '--ceph'], dest='ceph', nargs=None, const=None, default='master', type=None, choices=None, help='The ceph branch to run against', metavar=None),
                            '--ceph-git-url': _StoreAction(option_strings=['--ceph-git-url'], dest='ceph_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for Ceph', metavar=None),
                            '--ceph-qa-suite-git-url': _StoreAction(option_strings=['--ceph-qa-suite-git-url'], dest='ceph_qa_suite_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for ceph-qa-suite', metavar=None),
                            '--ceph-workbench-branch': _StoreAction(option_strings=['--ceph-workbench-branch'], dest='ceph_workbench_branch', nargs=None, const=None, default='master', type=None, choices=None, help='use this ceph-workbench branch instead of master', metavar=None),
                            '--ceph-workbench-git-url': _StoreAction(option_strings=['--ceph-workbench-git-url'], dest='ceph_workbench_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for ceph-workbench', metavar=None),
                            '--distro': _StoreAction(option_strings=['-d', '--distro'], dest='distro', nargs=None, const=None, default=None, type=None, choices=None, help='Distribution to run against', metavar=None),
                            '--dry-run': _StoreTrueAction(option_strings=['--dry-run'], dest='dry_run', nargs=0, const=True, default=None, type=None, choices=None, help='Do a dry run; do not schedule anything', metavar=None),
                            '--email': _StoreAction(option_strings=['-e', '--email'], dest='email', nargs=None, const=None, default=None, type=None, choices=None, help='When tests finish or time out, send an email here', metavar=None),
                            '--filter': _StoreAction(option_strings=['--filter'], dest='filter', nargs=None, const=None, default=None, type=None, choices=None, help='Only run jobs whose description contains at least one of the keywords in the comma separated keyword string specified. ', metavar=None),
                            '--filter-out': _StoreAction(option_strings=['--filter-out'], dest='filter_out', nargs=None, const=None, default=None, type=None, choices=None, help='Do not run jobs whose description contains any of the keywords in the comma separated keyword string specified. ', metavar=None),
                            '--flavor': _StoreAction(option_strings=['-f', '--flavor'], dest='flavor', nargs=None, const=None, default='basic', type=None, choices=None, help="The kernel flavor to run against: ('basic','gcov', 'notcmalloc')", metavar=None),
                            '--help': _HelpAction(option_strings=['-h', '--help'], dest='help', nargs=0, const=None, default='==SUPPRESS==', type=None, choices=None, help='show this help message and exit', metavar=None),
                            '--kernel': _StoreAction(option_strings=['-k', '--kernel'], dest='kernel', nargs=None, const=None, default=None, type=None, choices=None, help='The kernel branch to run against; if not supplied, the installed kernel is unchanged', metavar=None),
                            '--key-filename': _StoreAction(option_strings=['--key-filename'], dest='key_filename', nargs=None, const=None, default=None, type=None, choices=None, help='path to the ssh private key', metavar=None),
                            '--key-name': _StoreAction(option_strings=['--key-name'], dest='key_name', nargs=None, const=None, default='teuthology-myself', type=None, choices=None, help='OpenStack keypair name', metavar=None),
                            '--limit': _StoreAction(option_strings=['-l', '--limit'], dest='limit', nargs=None, const=None, default=None, type=<type 'int'>, choices=None, help='Queue at most this many jobs', metavar='JOBS'),
                            '--name': _StoreAction(option_strings=['--name'], dest='name', nargs=None, const=None, default='teuthology', type=None, choices=None, help='OpenStack primary instance name', metavar=None),
                            '--no-arg': _StoreTrueAction(option_strings=['--no-arg'], dest='no_arg', nargs=0, const=True, default=False, type=None, choices=None, help=None, metavar=None),
                            '--num': _StoreAction(option_strings=['-N', '--num'], dest='num', nargs=None, const=None, default=1, type=<type 'int'>, choices=None, help='Number of times to run/queue the job', metavar=None),
                            '--openrc': _StoreAction(option_strings=['--openrc'], dest='openrc', nargs=None, const=None, default='openrc.sh', type=None, choices=None, help='OpenStack credentials file, relative to ~/.ceph-workbench', metavar=None),
                            '--priority': _StoreAction(option_strings=['-p', '--priority'], dest='priority', nargs=None, const=None, default=1000, type=<type 'int'>, choices=None, help='Job priority (lower is sooner)', metavar=None),
                            '--simultaneous-jobs': _StoreAction(option_strings=['--simultaneous-jobs'], dest='simultaneous_jobs', nargs=None, const=None, default=10, type=<type 'int'>, choices=None, help='maximum number of jobs running in parallel', metavar=None),
                            '--something-with-arg': _StoreAction(option_strings=['--something-with-arg'], dest='something_with_arg', nargs=None, const=None, default=None, type=None, choices=None, help=None, metavar=None),
                            '--subset': _StoreAction(option_strings=['--subset'], dest='subset', nargs=None, const=None, default=None, type=None, choices=None, help='Instead of scheduling the entire suite, break the set of jobs into <outof> pieces (each of which will contain each facet at least once) and schedule piece <index>.  Scheduling 0/<outof>, 1/<outof>, 2/<outof> ... <outof>-1/<outof> will schedule all jobs in the suite (many more than once).', metavar=None),
                            '--suite': _StoreAction(option_strings=['-s', '--suite'], dest='suite', nargs=None, const=None, default=None, type=None, choices=None, help='The suite to schedule', metavar=None),
                            '--suite-branch': _StoreAction(option_strings=['--suite-branch'], dest='suite_branch', nargs=None, const=None, default=None, type=None, choices=None, help='Use this suite branch instead of the ceph branch', metavar=None),
                            '--teardown': _StoreTrueAction(option_strings=['--teardown'], dest='teardown', nargs=0, const=True, default=None, type=None, choices=None, help='destroy the cluster, if it exists', metavar=None),
                            '--teuthology-branch': _StoreAction(option_strings=['--teuthology-branch'], dest='teuthology_branch', nargs=None, const=None, default='master', type=None, choices=None, help='use this teuthology branch instead of master', metavar=None),
                            '--teuthology-git-url': _StoreAction(option_strings=['--teuthology-git-url'], dest='teuthology_git_url', nargs=None, const=None, default='http://github.com/SUSE/teuthology', type=None, choices=None, help='git clone url for teuthology', metavar=None),
                            '--throttle': _StoreAction(option_strings=['--throttle'], dest='throttle', nargs=None, const=None, default=15, type=<type 'int'>, choices=None, help='When scheduling, wait SLEEP seconds between jobs. Useful to avoid bursts that may be too hard on the underlying infrastructure or exceed OpenStack API limits (server creation per minute for instance).', metavar=None),
                            '--timeout': _StoreAction(option_strings=['--timeout'], dest='timeout', nargs=None, const=None, default=43200, type=<type 'int'>, choices=None, help='How long, in seconds, to wait for jobs to finish before sending email. This does not kill jobs.', metavar=None),
                            '--upload': _StoreTrueAction(option_strings=['--upload'], dest='upload', nargs=0, const=True, default=False, type=None, choices=None, help='upload archives to an rsync server', metavar=None),
                            '--verbose': _StoreTrueAction(option_strings=['-v', '--verbose'], dest='verbose', nargs=0, const=True, default=None, type=None, choices=None, help='be more verbose', metavar=None),
                            '--wait': _StoreTrueAction(option_strings=['--wait'], dest='wait', nargs=0, const=True, default=None, type=None, choices=None, help='block until the suite is finished', metavar=None),
                            '-N': _StoreAction(option_strings=['-N', '--num'], dest='num', nargs=None, const=None, default=1, type=<type 'int'>, choices=None, help='Number of times to run/queue the job', metavar=None),
                            '-c': _StoreAction(option_strings=['-c', '--ceph'], dest='ceph', nargs=None, const=None, default='master', type=None, choices=None, help='The ceph branch to run against', metavar=None),
                            '-d': _StoreAction(option_strings=['-d', '--distro'], dest='distro', nargs=None, const=None, default=None, type=None, choices=None, help='Distribution to run against', metavar=None),
                            '-e': _StoreAction(option_strings=['-e', '--email'], dest='email', nargs=None, const=None, default=None, type=None, choices=None, help='When tests finish or time out, send an email here', metavar=None),
                            '-f': _StoreAction(option_strings=['-f', '--flavor'], dest='flavor', nargs=None, const=None, default='basic', type=None, choices=None, help="The kernel flavor to run against: ('basic','gcov', 'notcmalloc')", metavar=None),
                            '-h': _HelpAction(option_strings=['-h', '--help'], dest='help', nargs=0, const=None, default='==SUPPRESS==', type=None, choices=None, help='show this help message and exit', metavar=None),
                            '-k': _StoreAction(option_strings=['-k', '--kernel'], dest='kernel', nargs=None, const=None, default=None, type=None, choices=None, help='The kernel branch to run against; if not supplied, the installed kernel is unchanged', metavar=None),
                            '-l': _StoreAction(option_strings=['-l', '--limit'], dest='limit', nargs=None, const=None, default=None, type=<type 'int'>, choices=None, help='Queue at most this many jobs', metavar='JOBS'),
                            '-p': _StoreAction(option_strings=['-p', '--priority'], dest='priority', nargs=None, const=None, default=1000, type=<type 'int'>, choices=None, help='Job priority (lower is sooner)', metavar=None),
                            '-s': _StoreAction(option_strings=['-s', '--suite'], dest='suite', nargs=None, const=None, default=None, type=None, choices=None, help='The suite to schedule', metavar=None),
                            '-v': _StoreTrueAction(option_strings=['-v', '--verbose'], dest='verbose', nargs=0, const=True, default=None, type=None, choices=None, help='be more verbose', metavar=None)},
 '_optionals': <argparse._ArgumentGroup object at 0x7fce34454590>,
 '_positionals': <argparse._ArgumentGroup object at 0x7fce3441af10>,
 '_registries': {'action': {None: <class 'argparse._StoreAction'>,
                            'append': <class 'argparse._AppendAction'>,
                            'append_const': <class 'argparse._AppendConstAction'>,
                            'count': <class 'argparse._CountAction'>,
                            'help': <class 'argparse._HelpAction'>,
                            'parsers': <class 'argparse._SubParsersAction'>,
                            'store': <class 'argparse._StoreAction'>,
                            'store_const': <class 'argparse._StoreConstAction'>,
                            'store_false': <class 'argparse._StoreFalseAction'>,
                            'store_true': <class 'argparse._StoreTrueAction'>,
                            'version': <class 'argparse._VersionAction'>},
                 'type': {None: <function identity at 0x7fce343f5e60>}},
 '_subparsers': None,
 'add_help': True,
 'argument_default': None,
 'conflict_handler': 'resolve',
 'description': None,
 'epilog': None,
 'formatter_class': <class 'argparse.HelpFormatter'>,
 'fromfile_prefix_chars': None,
 'prefix_chars': '-',
 'prog': 'py.test',
 'usage': None,
 'version': None}
----------------------------- Captured stderr call -----------------------------
2017-02-06 10:29:10,096.096 DEBUG:root:get_trimmed_argv: checking archive_upload=ubuntu@teuthology-logs.public.ceph.com:./
2017-02-06 10:29:10,096.096 DEBUG:root:get_trimmed_argv: checking archive_upload_url=http://teuthology-logs.public.ceph.com
2017-02-06 10:29:10,097.097 DEBUG:root:get_trimmed_argv: checking ceph=master
2017-02-06 10:29:10,097.097 DEBUG:root:get_trimmed_argv: checking ceph_git_url=None
2017-02-06 10:29:10,097.097 DEBUG:root:get_trimmed_argv: checking ceph_qa_suite_git_url=None
2017-02-06 10:29:10,097.097 DEBUG:root:get_trimmed_argv: checking ceph_workbench_branch=master
2017-02-06 10:29:10,098.098 DEBUG:root:get_trimmed_argv: checking ceph_workbench_git_url=None
2017-02-06 10:29:10,098.098 DEBUG:root:get_trimmed_argv: checking config_yaml=['distros/all/jessie-8.0.yaml']
2017-02-06 10:29:10,098.098 DEBUG:root:get_trimmed_argv: positional config_yaml=['distros/all/jessie-8.0.yaml']
2017-02-06 10:29:10,098.098 DEBUG:root:get_trimmed_argv: checking distro=None
2017-02-06 10:29:10,098.098 DEBUG:root:get_trimmed_argv: checking dry_run=None
2017-02-06 10:29:10,098.098 DEBUG:root:get_trimmed_argv: checking email=None
2017-02-06 10:29:10,099.099 DEBUG:root:get_trimmed_argv: checking filter=None
2017-02-06 10:29:10,099.099 DEBUG:root:get_trimmed_argv: checking filter_out=None
2017-02-06 10:29:10,099.099 DEBUG:root:get_trimmed_argv: checking flavor=basic
2017-02-06 10:29:10,099.099 DEBUG:root:get_trimmed_argv: checking kernel=None
2017-02-06 10:29:10,099.099 DEBUG:root:get_trimmed_argv: checking key_filename=None
2017-02-06 10:29:10,100.100 DEBUG:root:get_trimmed_argv: checking key_name=teuthology-myself
2017-02-06 10:29:10,100.100 DEBUG:root:get_trimmed_argv: checking limit=None
2017-02-06 10:29:10,100.100 DEBUG:root:get_trimmed_argv: checking name=teuthology
2017-02-06 10:29:10,100.100 DEBUG:root:get_trimmed_argv: checking no_arg=True
2017-02-06 10:29:10,100.100 DEBUG:root:get_trimmed_argv: skip unknown no_arg
2017-02-06 10:29:10,101.101 DEBUG:root:get_trimmed_argv: checking num=1
2017-02-06 10:29:10,101.101 DEBUG:root:get_trimmed_argv: checking openrc=openrc.sh
2017-02-06 10:29:10,101.101 DEBUG:root:get_trimmed_argv: skip unknown openrc
2017-02-06 10:29:10,101.101 DEBUG:root:get_trimmed_argv: checking priority=1000
2017-02-06 10:29:10,101.101 DEBUG:root:get_trimmed_argv: checking simultaneous_jobs=10
2017-02-06 10:29:10,102.102 DEBUG:root:get_trimmed_argv: checking something_with_arg=arg
2017-02-06 10:29:10,102.102 DEBUG:root:get_trimmed_argv: skip unknown something_with_arg
2017-02-06 10:29:10,102.102 DEBUG:root:get_trimmed_argv: checking subset=None
2017-02-06 10:29:10,102.102 DEBUG:root:get_trimmed_argv: checking suite=dummy
2017-02-06 10:29:10,102.102 DEBUG:root:get_trimmed_argv: checking suite_branch=None
2017-02-06 10:29:10,103.103 DEBUG:root:get_trimmed_argv: checking teardown=None
2017-02-06 10:29:10,103.103 DEBUG:root:get_trimmed_argv: checking teuthology_branch=master
2017-02-06 10:29:10,103.103 DEBUG:root:get_trimmed_argv: checking teuthology_git_url=http://github.com/SUSE/teuthology
2017-02-06 10:29:10,103.103 DEBUG:root:get_trimmed_argv: checking throttle=15
2017-02-06 10:29:10,103.103 DEBUG:root:get_trimmed_argv: checking timeout=43200
2017-02-06 10:29:10,104.104 DEBUG:root:get_trimmed_argv: checking upload=False
2017-02-06 10:29:10,104.104 DEBUG:root:get_trimmed_argv: checking verbose=None
2017-02-06 10:29:10,104.104 DEBUG:root:get_trimmed_argv: checking wait=None
___________________________ TestCephRelease.test_run ___________________________

self = <test_release.TestCephRelease object at 0x7fce29af34d0>
m_get_config_dir = <MagicMock name='get_config_dir' id='140523439339536'>
caplog = <pytest_capturelog.CaptureLogFuncArg object at 0x7fce29af37d0>

    @mock.patch('ceph_workbench.delegate.get_config_dir')
    def test_run(self, m_get_config_dir, caplog):
        if 'OS_AUTH_URL' not in os.environ:
            pytest.skip('no OS_AUTH_URL environment variable')
        #
        # something, somewhere updates ChangeLog and there is a beer
        # bounty for whoever discover what is responsible for that
        #
        util.sh("git checkout ChangeLog")
        #
        # ensure the cluster exists and runs this version of
        # ceph-workbench
        #
        if util.sh("git status --short"):
            util.sh("git --no-pager diff")
            pytest.fail('git status claims there are uncommited changes')
        public = util.sh("git branch -r --points-at "
                         "$(git rev-parse HEAD) | "
                         "grep -v ' -> ' | head -1").strip()
        if not public:
>           pytest.fail('git push to a publicly available repository')
E           Failed: git push to a publicly available repository

tests/test_release.py:144: Failed
--------------------------------- Captured log ---------------------------------
util.py                     33 DEBUG    :sh: git checkout ChangeLog
util.py                     33 DEBUG    :sh: git status --short
util.py                     33 DEBUG    :sh: git branch -r --points-at $(git rev-parse HEAD) | grep -v ' -> ' | head -1
----------------------------- Captured stderr call -----------------------------
2017-02-06 10:30:19,942.942 DEBUG:ceph_workbench.util::sh: git checkout ChangeLog
2017-02-06 10:30:19,970.970 DEBUG:ceph_workbench.util::sh: git status --short
2017-02-06 10:30:20,009.009 DEBUG:ceph_workbench.util::sh: git branch -r --points-at $(git rev-parse HEAD) | grep -v ' -> ' | head -1
========== 2 failed, 47 passed, 1 pytest-warnings in 1368.87 seconds ===========
ERROR: InvocationError: '/usr/bin/env PATH=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/bin:/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py27/bin/coverage run --source=ceph_workbench /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py27/bin/py.test -v tests'
py3 create: /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py3
py3 installdeps: -r/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/requirements.txt
py3 develop-inst: /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench
py3 installed: You are using pip version 8.1.2, however version 9.0.1 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,alabaster==0.7.7,ansible==2.1.1.0,appdirs==1.4.0,Babel==2.3.4,beanstalkc==0.4.0,boto==2.39.0,bunch==1.0.1,-e git+http://gitlab-ci-token:xxxxxx@ceph-workbench.dachary.org/root/ceph-workbench.git@641fc3cd1f2640d26dba24e8af56ee82e50f401f#egg=ceph_workbench,cffi==1.5.2,cliff==2.2.0,cmd2==0.6.8,configobj==5.0.6,configparser==3.3.0.post2,contextlib2==0.5.1,coverage==4.0.3,cryptography==1.3,d2to1==0.2.12.post1,debtcollector==1.8.0,discover==0.4.0,docopt==0.6.2,docutils==0.12,ecdsa==0.13,enum34==1.1.2,extras==0.0.3,fixtures==1.4.0,flake8==2.2.4,funcsigs==1.0.2,functools32==3.2.3.post2,gevent==1.0.2,gitdb==0.6.4,github2gitlab==1.5.5,githubpy==1.1.0,GitPython==1.0.2,greenlet==0.4.9,hacking==0.10.2,httplib2==0.9.2,idna==2.0,ipaddress==1.0.16,iso8601==0.1.11,Jinja2==2.8,jsonpatch==1.14,jsonpointer==1.10,jsonschema==2.5.1,keystoneauth1==2.12.1,libvirt-python==1.3.2,linecache2==1.0.0,MarkupSafe==0.23,mccabe==0.2.1,mock==1.3.0,monotonic==1.2,msgpack-python==0.4.8,MySQL-python==1.2.3,mysqlclient==1.3.7,ndg-httpsclient==0.4.0,netaddr==0.7.18,netifaces==0.10.5,openstacksdk==0.9.5,os-client-config==1.21.1,osc-lib==1.1.0,oslo.config==3.17.0,oslo.i18n==3.9.0,oslo.serialization==2.13.0,oslo.utils==3.16.0,packaging==16.8,paramiko==1.16.0,pbr==1.10.0,pep8==1.5.7,pexpect==4.0.1,pluggy==0.3.1,positional==1.1.1,prettytable==0.7.2,psutil==4.1.0,ptyprocess==0.5.1,py==1.4.31,pyasn1==0.1.9,pycparser==2.14,pycrypto==2.6.1,pyflakes==0.8.1,Pygments==2.1.3,pyOpenSSL==0.15.1,pyparsing==2.1.8,pyrsistent==0.11.12,pytest==2.9.0,pytest-capturelog==0.7,python-cinderclient==1.9.0,python-dateutil==2.5.3,python-glanceclient==2.5.0,python-keystoneclient==3.5.0,python-mimeparse==1.5.1,python-neutronclient==4.1.1,python-novaclient==6.0.0,python-openstackclient==3.2.0,python-redmine==1.5.0,python-subunit==1.2.0,pytz==2016.6.1,PyYAML==3.12,raven==5.11.1,requests==2.11.1,requestsexceptions==1.1.3,rfc3986==0.4.1,simplejson==3.8.2,six==1.10.0,smmap==0.9.0,snowballstemmer==1.2.1,Sphinx==1.3.6,sphinx-rtd-theme==0.1.9,stevedore==1.17.1,testrepository==0.0.20,testtools==2.0.0,teuthology==0.1.0,tox==2.3.1,traceback2==1.4.0,unicodecsv==0.14.1,unittest2==1.1.0,virtualenv==15.0.1,warlock==1.2.0,web.py==0.37,wrapt==1.10.8
py3 runtests: PYTHONHASHSEED='3280892092'
py3 runtests: commands[0] | env PATH=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/bin:/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py3/bin/coverage run --source=ceph_workbench /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py3/bin/py.test -v tests
============================= test session starts ==============================
platform linux2 -- Python 2.7.6, pytest-2.9.0, py-1.4.31, pluggy-0.3.1 -- /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py3/bin/python
cachedir: .cache
rootdir: /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench, inifile: 
plugins: capturelog-0.7
collecting ... collected 49 items

tests/test_ceph_qa_suite.py::TestCephQaSuite::test_run PASSED
tests/test_delegate.py::TestCephQaSuite::test_get_trimmed_argv FAILED
tests/test_delegate.py::TestCephQaSuite::test_verify_keys PASSED
tests/test_main.py::TestCephWorkbench::test_init PASSED
tests/test_main.py::TestCephWorkbench::test_run PASSED
tests/test_release.py::TestCephRelease::test_merge_deb_fix_conf PASSED
tests/test_release.py::TestCephRelease::test_discover_repositories PASSED
tests/test_release.py::TestCephRelease::test_discover_builds PASSED
tests/test_release.py::TestCephRelease::test_run FAILED
tests/test_util.py::TestUtil::test_releases PASSED
tests/test_util.py::TestUtil::test_get_parser PASSED
tests/test_util.py::TestUtil::test_config_dir PASSED
tests/test_util.py::TestUtil::test_sh PASSED
tests/test_util.py::TestUtil::test_sh_progress PASSED
tests/test_util.py::TestUtil::test_sh_input PASSED
tests/test_util.py::TestUtil::test_sh_fail PASSED
tests/test_wbbackport.py::TestWBBackport::test_inventory_isolated_commit PASSED
tests/test_wbbackport.py::TestWBBackport::test_inventory_issues_no_merge_request PASSED
tests/test_wbbackport.py::TestWBBackport::test_inventory_issues_via_cherry_picking PASSED
tests/test_wbbackport.py::TestWBBackport::test_inventory_write PASSED
tests/test_wbbackportcreateissue.py::TestWBBackportCreateIssue::test_run PASSED
tests/test_wbbackportcreateissue.py::TestWBBackportCreateIssue::test_create_issue PASSED
tests/test_wbbackportsetrelease.py::TestWBBackportSetRelease::test_run PASSED
tests/test_wbbackportsetrelease.py::TestWBBackportSetRelease::test_set_release PASSED
tests/test_wbgit.py::TestWBRepo::test_update_release2ranges PASSED
tests/test_wbgit.py::TestWBRepo::test_remember_picked PASSED
tests/test_wbgit.py::TestWBRepo::test_remember_commits PASSED
tests/test_wbgit.py::TestWBRepo::test_update_commits PASSED
tests/test_wbgit.py::TestWBRepo::test_update_head2merge PASSED
tests/test_wbgit.py::TestWBRepo::test_update_release2backports PASSED
tests/test_wbgit.py::TestWBRepo::test_update_release2last_tag PASSED
tests/test_wbgit.py::TestWBRepo::test_clone PASSED
tests/test_wbgithub.py::TestWBGitHub::test_index PASSED
tests/test_wbgithub.py::TestWBGitHub::test_pull_request PASSED
tests/test_wbgitlab.py::TestWBGitLab::test_index PASSED
tests/test_wbredmine.py::TestWBRedmine::test_load_open_issues PASSED
tests/test_wbredmine.py::TestWBRedmine::test_set_custom_fields PASSED
tests/test_wbredmine.py::TestWBRedmine::test_index PASSED
tests/test_wbredmine.py::TestWBRedmine::test_key PASSED
tests/test_wbredmine.py::TestWBRedmine::test_factory PASSED
tests/test_wbxref.py::TestWBXref::test_init PASSED
tests/test_wbxref.py::TestWBXref::test_merge_message2issue PASSED
tests/test_wbxref.py::TestWBXref::test_message2issue PASSED
tests/test_wbxref.py::TestWBXref::test_sanity_checks PASSED
tests/test_wbxref.py::TestWBXref::test_update_cherry_pick_or_link PASSED
tests/test_wbxref.py::TestWBXref::test_update_commit2issues PASSED
tests/test_wbxref.py::TestWBXref::test_update_issue PASSED
tests/test_wbxref.py::TestWBXref::test_update_issues_with_comments PASSED
tests/test_wbxref.py::TestWBXref::test_update_issues_with_merge PASSED

=================================== FAILURES ===================================
____________________ TestCephQaSuite.test_get_trimmed_argv _____________________

self = <test_delegate.TestCephQaSuite object at 0x7fc51399abd0>

    def test_get_trimmed_argv(self):
        d_parser = delegate.TeuthologyDelegate.get_parser()
        parser = argparse.ArgumentParser(
            parents=[
                d_parser,
            ],
            conflict_handler='resolve',
        )
        parser.add_argument('--something-with-arg')
        parser.add_argument('--no-arg', action='store_true')
        pprint.pprint(vars(parser))
        argv_discarded = [
            '--no-arg',
            '--something-with-arg', 'arg',
        ]
        argv_preserved = [
            '-s', 'dummy',
            'distros/all/jessie-8.0.yaml',
        ]
        argv = argv_discarded + argv_preserved
        args = parser.parse_args(argv)
        assert 'openrc.sh' == args.openrc
        trimmed_argv = delegate.TeuthologyDelegate.get_trimmed_argv(
            get_parser(), args)
        expected = ['--key-name',
                    'teuthology-myself',
                    '--simultaneous-jobs',
                    10,
                    '-s',
                    'dummy',
                    '--teuthology-branch',
                    'master',
                    '--teuthology-git-url',
                    'http://github.com/SUSE/teuthology',
                    'distros/all/jessie-8.0.yaml']
>       assert expected == trimmed_argv
E       assert ['--key-name'... 'dummy', ...] == ['--key-name',... 'dummy', ...]
E         At index 6 diff: '--teuthology-branch' != '--teuthology-git-url'
E         Left contains more items, first extra item: 'http://github.com/SUSE/teuthology'
E         Full diff:
E         ['--key-name',
E         'teuthology-myself',
E         '--simultaneous-jobs',
E         10,
E         '-s',
E         'dummy',
E         -  '--teuthology-branch',
E         -  'master',
E         '--teuthology-git-url',
E         'http://github.com/SUSE/teuthology',
E         'distros/all/jessie-8.0.yaml']

tests/test_delegate.py:82: AssertionError
--------------------------------- Captured log ---------------------------------
delegate.py                111 DEBUG    get_trimmed_argv: checking archive_upload=ubuntu@teuthology-logs.public.ceph.com:./
delegate.py                111 DEBUG    get_trimmed_argv: checking archive_upload_url=http://teuthology-logs.public.ceph.com
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph=master
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph_git_url=None
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph_qa_suite_git_url=None
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph_workbench_branch=master
delegate.py                111 DEBUG    get_trimmed_argv: checking ceph_workbench_git_url=None
delegate.py                111 DEBUG    get_trimmed_argv: checking config_yaml=['distros/all/jessie-8.0.yaml']
delegate.py                125 DEBUG    get_trimmed_argv: positional config_yaml=['distros/all/jessie-8.0.yaml']
delegate.py                111 DEBUG    get_trimmed_argv: checking distro=None
delegate.py                111 DEBUG    get_trimmed_argv: checking dry_run=None
delegate.py                111 DEBUG    get_trimmed_argv: checking email=None
delegate.py                111 DEBUG    get_trimmed_argv: checking filter=None
delegate.py                111 DEBUG    get_trimmed_argv: checking filter_out=None
delegate.py                111 DEBUG    get_trimmed_argv: checking flavor=basic
delegate.py                111 DEBUG    get_trimmed_argv: checking kernel=None
delegate.py                111 DEBUG    get_trimmed_argv: checking key_filename=None
delegate.py                111 DEBUG    get_trimmed_argv: checking key_name=teuthology-myself
delegate.py                111 DEBUG    get_trimmed_argv: checking limit=None
delegate.py                111 DEBUG    get_trimmed_argv: checking name=teuthology
delegate.py                111 DEBUG    get_trimmed_argv: checking no_arg=True
delegate.py                113 DEBUG    get_trimmed_argv: skip unknown no_arg
delegate.py                111 DEBUG    get_trimmed_argv: checking num=1
delegate.py                111 DEBUG    get_trimmed_argv: checking openrc=openrc.sh
delegate.py                113 DEBUG    get_trimmed_argv: skip unknown openrc
delegate.py                111 DEBUG    get_trimmed_argv: checking priority=1000
delegate.py                111 DEBUG    get_trimmed_argv: checking simultaneous_jobs=10
delegate.py                111 DEBUG    get_trimmed_argv: checking something_with_arg=arg
delegate.py                113 DEBUG    get_trimmed_argv: skip unknown something_with_arg
delegate.py                111 DEBUG    get_trimmed_argv: checking subset=None
delegate.py                111 DEBUG    get_trimmed_argv: checking suite=dummy
delegate.py                111 DEBUG    get_trimmed_argv: checking suite_branch=None
delegate.py                111 DEBUG    get_trimmed_argv: checking teardown=None
delegate.py                111 DEBUG    get_trimmed_argv: checking teuthology_branch=master
delegate.py                111 DEBUG    get_trimmed_argv: checking teuthology_git_url=http://github.com/SUSE/teuthology
delegate.py                111 DEBUG    get_trimmed_argv: checking throttle=15
delegate.py                111 DEBUG    get_trimmed_argv: checking timeout=43200
delegate.py                111 DEBUG    get_trimmed_argv: checking upload=False
delegate.py                111 DEBUG    get_trimmed_argv: checking verbose=None
delegate.py                111 DEBUG    get_trimmed_argv: checking wait=None
----------------------------- Captured stdout call -----------------------------
{'_action_groups': [<argparse._ArgumentGroup object at 0x7fc51399af90>,
                    <argparse._ArgumentGroup object at 0x7fc51399aa90>],
 '_actions': [_StoreTrueAction(option_strings=['--wait'], dest='wait', nargs=0, const=True, default=None, type=None, choices=None, help='block until the suite is finished', metavar=None),
              _StoreAction(option_strings=['--name'], dest='name', nargs=None, const=None, default='teuthology', type=None, choices=None, help='OpenStack primary instance name', metavar=None),
              _StoreAction(option_strings=['--simultaneous-jobs'], dest='simultaneous_jobs', nargs=None, const=None, default=10, type=<type 'int'>, choices=None, help='maximum number of jobs running in parallel', metavar=None),
              _StoreTrueAction(option_strings=['--teardown'], dest='teardown', nargs=0, const=True, default=None, type=None, choices=None, help='destroy the cluster, if it exists', metavar=None),
              _StoreAction(option_strings=['--teuthology-git-url'], dest='teuthology_git_url', nargs=None, const=None, default='http://github.com/SUSE/teuthology', type=None, choices=None, help='git clone url for teuthology', metavar=None),
              _StoreAction(option_strings=['--teuthology-branch'], dest='teuthology_branch', nargs=None, const=None, default='master', type=None, choices=None, help='use this teuthology branch instead of master', metavar=None),
              _StoreAction(option_strings=['--ceph-workbench-git-url'], dest='ceph_workbench_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for ceph-workbench', metavar=None),
              _StoreAction(option_strings=['--ceph-workbench-branch'], dest='ceph_workbench_branch', nargs=None, const=None, default='master', type=None, choices=None, help='use this ceph-workbench branch instead of master', metavar=None),
              _StoreTrueAction(option_strings=['--upload'], dest='upload', nargs=0, const=True, default=False, type=None, choices=None, help='upload archives to an rsync server', metavar=None),
              _StoreAction(option_strings=['--archive-upload'], dest='archive_upload', nargs=None, const=None, default='ubuntu@teuthology-logs.public.ceph.com:./', type=None, choices=None, help='rsync destination to upload archives', metavar=None),
              _StoreAction(option_strings=['--archive-upload-url'], dest='archive_upload_url', nargs=None, const=None, default='http://teuthology-logs.public.ceph.com', type=None, choices=None, help='Public facing URL where archives are uploaded', metavar=None),
              _StoreAction(option_strings=['--key-name'], dest='key_name', nargs=None, const=None, default='teuthology-myself', type=None, choices=None, help='OpenStack keypair name', metavar=None),
              _StoreAction(option_strings=['--key-filename'], dest='key_filename', nargs=None, const=None, default=None, type=None, choices=None, help='path to the ssh private key', metavar=None),
              _HelpAction(option_strings=['-h', '--help'], dest='help', nargs=0, const=None, default='==SUPPRESS==', type=None, choices=None, help='show this help message and exit', metavar=None),
              _StoreAction(option_strings=[], dest='config_yaml', nargs='*', const=None, default=None, type=None, choices=None, help='Optional extra job yaml to include', metavar=None),
              _StoreTrueAction(option_strings=['-v', '--verbose'], dest='verbose', nargs=0, const=True, default=None, type=None, choices=None, help='be more verbose', metavar=None),
              _StoreTrueAction(option_strings=['--dry-run'], dest='dry_run', nargs=0, const=True, default=None, type=None, choices=None, help='Do a dry run; do not schedule anything', metavar=None),
              _StoreAction(option_strings=['-s', '--suite'], dest='suite', nargs=None, const=None, default=None, type=None, choices=None, help='The suite to schedule', metavar=None),
              _StoreAction(option_strings=['-c', '--ceph'], dest='ceph', nargs=None, const=None, default='master', type=None, choices=None, help='The ceph branch to run against', metavar=None),
              _StoreAction(option_strings=['-k', '--kernel'], dest='kernel', nargs=None, const=None, default=None, type=None, choices=None, help='The kernel branch to run against; if not supplied, the installed kernel is unchanged', metavar=None),
              _StoreAction(option_strings=['-f', '--flavor'], dest='flavor', nargs=None, const=None, default='basic', type=None, choices=None, help="The kernel flavor to run against: ('basic','gcov', 'notcmalloc')", metavar=None),
              _StoreAction(option_strings=['-d', '--distro'], dest='distro', nargs=None, const=None, default=None, type=None, choices=None, help='Distribution to run against', metavar=None),
              _StoreAction(option_strings=['--suite-branch'], dest='suite_branch', nargs=None, const=None, default=None, type=None, choices=None, help='Use this suite branch instead of the ceph branch', metavar=None),
              _StoreAction(option_strings=['-e', '--email'], dest='email', nargs=None, const=None, default=None, type=None, choices=None, help='When tests finish or time out, send an email here', metavar=None),
              _StoreAction(option_strings=['-N', '--num'], dest='num', nargs=None, const=None, default=1, type=<type 'int'>, choices=None, help='Number of times to run/queue the job', metavar=None),
              _StoreAction(option_strings=['-l', '--limit'], dest='limit', nargs=None, const=None, default=None, type=<type 'int'>, choices=None, help='Queue at most this many jobs', metavar='JOBS'),
              _StoreAction(option_strings=['--subset'], dest='subset', nargs=None, const=None, default=None, type=None, choices=None, help='Instead of scheduling the entire suite, break the set of jobs into <outof> pieces (each of which will contain each facet at least once) and schedule piece <index>.  Scheduling 0/<outof>, 1/<outof>, 2/<outof> ... <outof>-1/<outof> will schedule all jobs in the suite (many more than once).', metavar=None),
              _StoreAction(option_strings=['-p', '--priority'], dest='priority', nargs=None, const=None, default=1000, type=<type 'int'>, choices=None, help='Job priority (lower is sooner)', metavar=None),
              _StoreAction(option_strings=['--timeout'], dest='timeout', nargs=None, const=None, default=43200, type=<type 'int'>, choices=None, help='How long, in seconds, to wait for jobs to finish before sending email. This does not kill jobs.', metavar=None),
              _StoreAction(option_strings=['--filter'], dest='filter', nargs=None, const=None, default=None, type=None, choices=None, help='Only run jobs whose description contains at least one of the keywords in the comma separated keyword string specified. ', metavar=None),
              _StoreAction(option_strings=['--filter-out'], dest='filter_out', nargs=None, const=None, default=None, type=None, choices=None, help='Do not run jobs whose description contains any of the keywords in the comma separated keyword string specified. ', metavar=None),
              _StoreAction(option_strings=['--throttle'], dest='throttle', nargs=None, const=None, default=15, type=<type 'int'>, choices=None, help='When scheduling, wait SLEEP seconds between jobs. Useful to avoid bursts that may be too hard on the underlying infrastructure or exceed OpenStack API limits (server creation per minute for instance).', metavar=None),
              _StoreAction(option_strings=['--ceph-git-url'], dest='ceph_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for Ceph', metavar=None),
              _StoreAction(option_strings=['--ceph-qa-suite-git-url'], dest='ceph_qa_suite_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for ceph-qa-suite', metavar=None),
              _StoreAction(option_strings=['--openrc'], dest='openrc', nargs=None, const=None, default='openrc.sh', type=None, choices=None, help='OpenStack credentials file, relative to ~/.ceph-workbench', metavar=None),
              _StoreAction(option_strings=['--something-with-arg'], dest='something_with_arg', nargs=None, const=None, default=None, type=None, choices=None, help=None, metavar=None),
              _StoreTrueAction(option_strings=['--no-arg'], dest='no_arg', nargs=0, const=True, default=False, type=None, choices=None, help=None, metavar=None)],
 '_defaults': {},
 '_has_negative_number_optionals': [],
 '_mutually_exclusive_groups': [],
 '_negative_number_matcher': <_sre.SRE_Pattern object at 0x7fc513a9d750>,
 '_option_string_actions': {'--archive-upload': _StoreAction(option_strings=['--archive-upload'], dest='archive_upload', nargs=None, const=None, default='ubuntu@teuthology-logs.public.ceph.com:./', type=None, choices=None, help='rsync destination to upload archives', metavar=None),
                            '--archive-upload-url': _StoreAction(option_strings=['--archive-upload-url'], dest='archive_upload_url', nargs=None, const=None, default='http://teuthology-logs.public.ceph.com', type=None, choices=None, help='Public facing URL where archives are uploaded', metavar=None),
                            '--ceph': _StoreAction(option_strings=['-c', '--ceph'], dest='ceph', nargs=None, const=None, default='master', type=None, choices=None, help='The ceph branch to run against', metavar=None),
                            '--ceph-git-url': _StoreAction(option_strings=['--ceph-git-url'], dest='ceph_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for Ceph', metavar=None),
                            '--ceph-qa-suite-git-url': _StoreAction(option_strings=['--ceph-qa-suite-git-url'], dest='ceph_qa_suite_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for ceph-qa-suite', metavar=None),
                            '--ceph-workbench-branch': _StoreAction(option_strings=['--ceph-workbench-branch'], dest='ceph_workbench_branch', nargs=None, const=None, default='master', type=None, choices=None, help='use this ceph-workbench branch instead of master', metavar=None),
                            '--ceph-workbench-git-url': _StoreAction(option_strings=['--ceph-workbench-git-url'], dest='ceph_workbench_git_url', nargs=None, const=None, default=None, type=None, choices=None, help='git clone url for ceph-workbench', metavar=None),
                            '--distro': _StoreAction(option_strings=['-d', '--distro'], dest='distro', nargs=None, const=None, default=None, type=None, choices=None, help='Distribution to run against', metavar=None),
                            '--dry-run': _StoreTrueAction(option_strings=['--dry-run'], dest='dry_run', nargs=0, const=True, default=None, type=None, choices=None, help='Do a dry run; do not schedule anything', metavar=None),
                            '--email': _StoreAction(option_strings=['-e', '--email'], dest='email', nargs=None, const=None, default=None, type=None, choices=None, help='When tests finish or time out, send an email here', metavar=None),
                            '--filter': _StoreAction(option_strings=['--filter'], dest='filter', nargs=None, const=None, default=None, type=None, choices=None, help='Only run jobs whose description contains at least one of the keywords in the comma separated keyword string specified. ', metavar=None),
                            '--filter-out': _StoreAction(option_strings=['--filter-out'], dest='filter_out', nargs=None, const=None, default=None, type=None, choices=None, help='Do not run jobs whose description contains any of the keywords in the comma separated keyword string specified. ', metavar=None),
                            '--flavor': _StoreAction(option_strings=['-f', '--flavor'], dest='flavor', nargs=None, const=None, default='basic', type=None, choices=None, help="The kernel flavor to run against: ('basic','gcov', 'notcmalloc')", metavar=None),
                            '--help': _HelpAction(option_strings=['-h', '--help'], dest='help', nargs=0, const=None, default='==SUPPRESS==', type=None, choices=None, help='show this help message and exit', metavar=None),
                            '--kernel': _StoreAction(option_strings=['-k', '--kernel'], dest='kernel', nargs=None, const=None, default=None, type=None, choices=None, help='The kernel branch to run against; if not supplied, the installed kernel is unchanged', metavar=None),
                            '--key-filename': _StoreAction(option_strings=['--key-filename'], dest='key_filename', nargs=None, const=None, default=None, type=None, choices=None, help='path to the ssh private key', metavar=None),
                            '--key-name': _StoreAction(option_strings=['--key-name'], dest='key_name', nargs=None, const=None, default='teuthology-myself', type=None, choices=None, help='OpenStack keypair name', metavar=None),
                            '--limit': _StoreAction(option_strings=['-l', '--limit'], dest='limit', nargs=None, const=None, default=None, type=<type 'int'>, choices=None, help='Queue at most this many jobs', metavar='JOBS'),
                            '--name': _StoreAction(option_strings=['--name'], dest='name', nargs=None, const=None, default='teuthology', type=None, choices=None, help='OpenStack primary instance name', metavar=None),
                            '--no-arg': _StoreTrueAction(option_strings=['--no-arg'], dest='no_arg', nargs=0, const=True, default=False, type=None, choices=None, help=None, metavar=None),
                            '--num': _StoreAction(option_strings=['-N', '--num'], dest='num', nargs=None, const=None, default=1, type=<type 'int'>, choices=None, help='Number of times to run/queue the job', metavar=None),
                            '--openrc': _StoreAction(option_strings=['--openrc'], dest='openrc', nargs=None, const=None, default='openrc.sh', type=None, choices=None, help='OpenStack credentials file, relative to ~/.ceph-workbench', metavar=None),
                            '--priority': _StoreAction(option_strings=['-p', '--priority'], dest='priority', nargs=None, const=None, default=1000, type=<type 'int'>, choices=None, help='Job priority (lower is sooner)', metavar=None),
                            '--simultaneous-jobs': _StoreAction(option_strings=['--simultaneous-jobs'], dest='simultaneous_jobs', nargs=None, const=None, default=10, type=<type 'int'>, choices=None, help='maximum number of jobs running in parallel', metavar=None),
                            '--something-with-arg': _StoreAction(option_strings=['--something-with-arg'], dest='something_with_arg', nargs=None, const=None, default=None, type=None, choices=None, help=None, metavar=None),
                            '--subset': _StoreAction(option_strings=['--subset'], dest='subset', nargs=None, const=None, default=None, type=None, choices=None, help='Instead of scheduling the entire suite, break the set of jobs into <outof> pieces (each of which will contain each facet at least once) and schedule piece <index>.  Scheduling 0/<outof>, 1/<outof>, 2/<outof> ... <outof>-1/<outof> will schedule all jobs in the suite (many more than once).', metavar=None),
                            '--suite': _StoreAction(option_strings=['-s', '--suite'], dest='suite', nargs=None, const=None, default=None, type=None, choices=None, help='The suite to schedule', metavar=None),
                            '--suite-branch': _StoreAction(option_strings=['--suite-branch'], dest='suite_branch', nargs=None, const=None, default=None, type=None, choices=None, help='Use this suite branch instead of the ceph branch', metavar=None),
                            '--teardown': _StoreTrueAction(option_strings=['--teardown'], dest='teardown', nargs=0, const=True, default=None, type=None, choices=None, help='destroy the cluster, if it exists', metavar=None),
                            '--teuthology-branch': _StoreAction(option_strings=['--teuthology-branch'], dest='teuthology_branch', nargs=None, const=None, default='master', type=None, choices=None, help='use this teuthology branch instead of master', metavar=None),
                            '--teuthology-git-url': _StoreAction(option_strings=['--teuthology-git-url'], dest='teuthology_git_url', nargs=None, const=None, default='http://github.com/SUSE/teuthology', type=None, choices=None, help='git clone url for teuthology', metavar=None),
                            '--throttle': _StoreAction(option_strings=['--throttle'], dest='throttle', nargs=None, const=None, default=15, type=<type 'int'>, choices=None, help='When scheduling, wait SLEEP seconds between jobs. Useful to avoid bursts that may be too hard on the underlying infrastructure or exceed OpenStack API limits (server creation per minute for instance).', metavar=None),
                            '--timeout': _StoreAction(option_strings=['--timeout'], dest='timeout', nargs=None, const=None, default=43200, type=<type 'int'>, choices=None, help='How long, in seconds, to wait for jobs to finish before sending email. This does not kill jobs.', metavar=None),
                            '--upload': _StoreTrueAction(option_strings=['--upload'], dest='upload', nargs=0, const=True, default=False, type=None, choices=None, help='upload archives to an rsync server', metavar=None),
                            '--verbose': _StoreTrueAction(option_strings=['-v', '--verbose'], dest='verbose', nargs=0, const=True, default=None, type=None, choices=None, help='be more verbose', metavar=None),
                            '--wait': _StoreTrueAction(option_strings=['--wait'], dest='wait', nargs=0, const=True, default=None, type=None, choices=None, help='block until the suite is finished', metavar=None),
                            '-N': _StoreAction(option_strings=['-N', '--num'], dest='num', nargs=None, const=None, default=1, type=<type 'int'>, choices=None, help='Number of times to run/queue the job', metavar=None),
                            '-c': _StoreAction(option_strings=['-c', '--ceph'], dest='ceph', nargs=None, const=None, default='master', type=None, choices=None, help='The ceph branch to run against', metavar=None),
                            '-d': _StoreAction(option_strings=['-d', '--distro'], dest='distro', nargs=None, const=None, default=None, type=None, choices=None, help='Distribution to run against', metavar=None),
                            '-e': _StoreAction(option_strings=['-e', '--email'], dest='email', nargs=None, const=None, default=None, type=None, choices=None, help='When tests finish or time out, send an email here', metavar=None),
                            '-f': _StoreAction(option_strings=['-f', '--flavor'], dest='flavor', nargs=None, const=None, default='basic', type=None, choices=None, help="The kernel flavor to run against: ('basic','gcov', 'notcmalloc')", metavar=None),
                            '-h': _HelpAction(option_strings=['-h', '--help'], dest='help', nargs=0, const=None, default='==SUPPRESS==', type=None, choices=None, help='show this help message and exit', metavar=None),
                            '-k': _StoreAction(option_strings=['-k', '--kernel'], dest='kernel', nargs=None, const=None, default=None, type=None, choices=None, help='The kernel branch to run against; if not supplied, the installed kernel is unchanged', metavar=None),
                            '-l': _StoreAction(option_strings=['-l', '--limit'], dest='limit', nargs=None, const=None, default=None, type=<type 'int'>, choices=None, help='Queue at most this many jobs', metavar='JOBS'),
                            '-p': _StoreAction(option_strings=['-p', '--priority'], dest='priority', nargs=None, const=None, default=1000, type=<type 'int'>, choices=None, help='Job priority (lower is sooner)', metavar=None),
                            '-s': _StoreAction(option_strings=['-s', '--suite'], dest='suite', nargs=None, const=None, default=None, type=None, choices=None, help='The suite to schedule', metavar=None),
                            '-v': _StoreTrueAction(option_strings=['-v', '--verbose'], dest='verbose', nargs=0, const=True, default=None, type=None, choices=None, help='be more verbose', metavar=None)},
 '_optionals': <argparse._ArgumentGroup object at 0x7fc51399aa90>,
 '_positionals': <argparse._ArgumentGroup object at 0x7fc51399af90>,
 '_registries': {'action': {None: <class 'argparse._StoreAction'>,
                            'append': <class 'argparse._AppendAction'>,
                            'append_const': <class 'argparse._AppendConstAction'>,
                            'count': <class 'argparse._CountAction'>,
                            'help': <class 'argparse._HelpAction'>,
                            'parsers': <class 'argparse._SubParsersAction'>,
                            'store': <class 'argparse._StoreAction'>,
                            'store_const': <class 'argparse._StoreConstAction'>,
                            'store_false': <class 'argparse._StoreFalseAction'>,
                            'store_true': <class 'argparse._StoreTrueAction'>,
                            'version': <class 'argparse._VersionAction'>},
                 'type': {None: <function identity at 0x7fc5139e1b18>}},
 '_subparsers': None,
 'add_help': True,
 'argument_default': None,
 'conflict_handler': 'resolve',
 'description': None,
 'epilog': None,
 'formatter_class': <class 'argparse.HelpFormatter'>,
 'fromfile_prefix_chars': None,
 'prefix_chars': '-',
 'prog': 'py.test',
 'usage': None,
 'version': None}
----------------------------- Captured stderr call -----------------------------
2017-02-06 10:53:53,740.740 DEBUG:root:get_trimmed_argv: checking archive_upload=ubuntu@teuthology-logs.public.ceph.com:./
2017-02-06 10:53:53,740.740 DEBUG:root:get_trimmed_argv: checking archive_upload_url=http://teuthology-logs.public.ceph.com
2017-02-06 10:53:53,741.741 DEBUG:root:get_trimmed_argv: checking ceph=master
2017-02-06 10:53:53,741.741 DEBUG:root:get_trimmed_argv: checking ceph_git_url=None
2017-02-06 10:53:53,741.741 DEBUG:root:get_trimmed_argv: checking ceph_qa_suite_git_url=None
2017-02-06 10:53:53,741.741 DEBUG:root:get_trimmed_argv: checking ceph_workbench_branch=master
2017-02-06 10:53:53,742.742 DEBUG:root:get_trimmed_argv: checking ceph_workbench_git_url=None
2017-02-06 10:53:53,742.742 DEBUG:root:get_trimmed_argv: checking config_yaml=['distros/all/jessie-8.0.yaml']
2017-02-06 10:53:53,742.742 DEBUG:root:get_trimmed_argv: positional config_yaml=['distros/all/jessie-8.0.yaml']
2017-02-06 10:53:53,742.742 DEBUG:root:get_trimmed_argv: checking distro=None
2017-02-06 10:53:53,743.743 DEBUG:root:get_trimmed_argv: checking dry_run=None
2017-02-06 10:53:53,743.743 DEBUG:root:get_trimmed_argv: checking email=None
2017-02-06 10:53:53,743.743 DEBUG:root:get_trimmed_argv: checking filter=None
2017-02-06 10:53:53,743.743 DEBUG:root:get_trimmed_argv: checking filter_out=None
2017-02-06 10:53:53,743.743 DEBUG:root:get_trimmed_argv: checking flavor=basic
2017-02-06 10:53:53,744.744 DEBUG:root:get_trimmed_argv: checking kernel=None
2017-02-06 10:53:53,744.744 DEBUG:root:get_trimmed_argv: checking key_filename=None
2017-02-06 10:53:53,744.744 DEBUG:root:get_trimmed_argv: checking key_name=teuthology-myself
2017-02-06 10:53:53,744.744 DEBUG:root:get_trimmed_argv: checking limit=None
2017-02-06 10:53:53,745.745 DEBUG:root:get_trimmed_argv: checking name=teuthology
2017-02-06 10:53:53,745.745 DEBUG:root:get_trimmed_argv: checking no_arg=True
2017-02-06 10:53:53,745.745 DEBUG:root:get_trimmed_argv: skip unknown no_arg
2017-02-06 10:53:53,745.745 DEBUG:root:get_trimmed_argv: checking num=1
2017-02-06 10:53:53,746.746 DEBUG:root:get_trimmed_argv: checking openrc=openrc.sh
2017-02-06 10:53:53,746.746 DEBUG:root:get_trimmed_argv: skip unknown openrc
2017-02-06 10:53:53,746.746 DEBUG:root:get_trimmed_argv: checking priority=1000
2017-02-06 10:53:53,746.746 DEBUG:root:get_trimmed_argv: checking simultaneous_jobs=10
2017-02-06 10:53:53,747.747 DEBUG:root:get_trimmed_argv: checking something_with_arg=arg
2017-02-06 10:53:53,747.747 DEBUG:root:get_trimmed_argv: skip unknown something_with_arg
2017-02-06 10:53:53,747.747 DEBUG:root:get_trimmed_argv: checking subset=None
2017-02-06 10:53:53,747.747 DEBUG:root:get_trimmed_argv: checking suite=dummy
2017-02-06 10:53:53,748.748 DEBUG:root:get_trimmed_argv: checking suite_branch=None
2017-02-06 10:53:53,748.748 DEBUG:root:get_trimmed_argv: checking teardown=None
2017-02-06 10:53:53,748.748 DEBUG:root:get_trimmed_argv: checking teuthology_branch=master
2017-02-06 10:53:53,748.748 DEBUG:root:get_trimmed_argv: checking teuthology_git_url=http://github.com/SUSE/teuthology
2017-02-06 10:53:53,749.749 DEBUG:root:get_trimmed_argv: checking throttle=15
2017-02-06 10:53:53,749.749 DEBUG:root:get_trimmed_argv: checking timeout=43200
2017-02-06 10:53:53,749.749 DEBUG:root:get_trimmed_argv: checking upload=False
2017-02-06 10:53:53,749.749 DEBUG:root:get_trimmed_argv: checking verbose=None
2017-02-06 10:53:53,750.750 DEBUG:root:get_trimmed_argv: checking wait=None
___________________________ TestCephRelease.test_run ___________________________

self = <test_release.TestCephRelease object at 0x7fc5087b0550>
m_get_config_dir = <MagicMock name='get_config_dir' id='140484227565712'>
caplog = <pytest_capturelog.CaptureLogFuncArg object at 0x7fc5087b0850>

    @mock.patch('ceph_workbench.delegate.get_config_dir')
    def test_run(self, m_get_config_dir, caplog):
        if 'OS_AUTH_URL' not in os.environ:
            pytest.skip('no OS_AUTH_URL environment variable')
        #
        # something, somewhere updates ChangeLog and there is a beer
        # bounty for whoever discover what is responsible for that
        #
        util.sh("git checkout ChangeLog")
        #
        # ensure the cluster exists and runs this version of
        # ceph-workbench
        #
        if util.sh("git status --short"):
            util.sh("git --no-pager diff")
            pytest.fail('git status claims there are uncommited changes')
        public = util.sh("git branch -r --points-at "
                         "$(git rev-parse HEAD) | "
                         "grep -v ' -> ' | head -1").strip()
        if not public:
>           pytest.fail('git push to a publicly available repository')
E           Failed: git push to a publicly available repository

tests/test_release.py:144: Failed
--------------------------------- Captured log ---------------------------------
util.py                     33 DEBUG    :sh: git checkout ChangeLog
util.py                     33 DEBUG    :sh: git status --short
util.py                     33 DEBUG    :sh: git branch -r --points-at $(git rev-parse HEAD) | grep -v ' -> ' | head -1
----------------------------- Captured stderr call -----------------------------
2017-02-06 10:54:58,710.710 DEBUG:ceph_workbench.util::sh: git checkout ChangeLog
2017-02-06 10:54:58,735.735 DEBUG:ceph_workbench.util::sh: git status --short
2017-02-06 10:54:58,781.781 DEBUG:ceph_workbench.util::sh: git branch -r --points-at $(git rev-parse HEAD) | grep -v ' -> ' | head -1
========== 2 failed, 47 passed, 1 pytest-warnings in 1575.58 seconds ===========
ERROR: InvocationError: '/usr/bin/env PATH=/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/teuthology/virtualenv/bin:/home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/virtualenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py3/bin/coverage run --source=ceph_workbench /home/gitlab-runner/builds/9120dac4/0/root/ceph-workbench/.tox/py3/bin/py.test -v tests'
___________________________________ summary ____________________________________
  flake8: commands succeeded
ERROR:   py27: commands failed
ERROR:   py3: commands failed
+ bash tests/teardown.sh
test-gitlab
test-gitlab
test-mysql
test-mysql
test-redis
test-redis
postgresql-redmine
postgresql-redmine
redmine
redmine

ERROR: Build failed with: exit status 1

Build #507

Duration: 63 minutes 31 seconds

Created:

Finished:

Runner: #1

Commit

Branch: 1.5.14

Author: Loic Dachary

Message: version 1.5.14

1 other build for

641fc3cd:
integration failed